<?php
	$router_url = Router::url('/', true);

	Configure::write('DAI_CACHE', 0);
	Configure::write('PAGE_LIMIT', 20);
	
	Configure::write('BASE_URL', $router_url . 'dai_bids/');
	Configure::write('BASE_FOLDER', '/dai_bids/');
	
	Configure::write('DAI_LOGO', 'dai_logo.png');
	Configure::write('DAI_LOGO_2', 'dai_logo_2.png');
	Configure::write('DAI_ICON', 'img/dai_icon.ico');
	Configure::write('PRODUCT_NAME', 'Inventory Manager');
	Configure::write('PRODUCT_NAME_2', 'Inventory Manager');
	Configure::write('PRODUCT_NAME_3', 'Inventory Manager');
	Configure::write('PRODUCT_LOGO', 'inventory_manager_with_text.png');
	Configure::write('PRODUCT_ICON', 'img/inventory_manager.ico');
	
	Configure::write('COMPANY_NAME', 'Philippine Sports Commission');
	Configure::write('COMPANY_NAME_UPPERCASE', 'PHILLIPINE SPORTS COMMISSION');
	Configure::write('COMPANY_NAME_ABBREVIATION', 'PSC');
	Configure::write('COMPANY_ADDRESS', 'Rizal Memorial Sports Complex, Pablo Ocampo Sr. St. Manila, Philippines');
	Configure::write('COMPANY_ADDRESS_CITY', 'Manila');
	Configure::write('COMPANY_LOGO', 'psc_logo.png');
	Configure::write('COMPANY_ICON', 'img/psc_logo.ico');
	Configure::write('PPE_CONSOLE', ROOT.DS.'manual_depreciate'.DS.'ppe_console.exe');
	
	
	
	Configure::write('MAIN_AGENCY', 1);
	Configure::write('Unserviceable', 2);
	Configure::write('Serviceable', 1);
	
	Configure::write('TRANSFER_TYPE_OTHERS', 'Others');
	// Configure::write('ADDITIONAL_LOGO', 'img/doh_logo.png');
	
	Configure::write('Serviceable_And_Unserviceable', array(
		'Serviceable'=>1,
		'Unserviceable'=>2
	));
	Configure::write('STATUS', array(
		1 => 'Enabled',
		0 => 'Disabled'
	));
	
	Configure::write('LOCK_FLAG', array(
		1 => 'Locked',
		0 => 'Unlocked'
	));
	
	Configure::write('YES_NO_BOOLEAN', array(
		1 => 'Yes',
		0 => 'No'
	));
	
	Configure::write('POSTED_AND_UNPOSTED', array(
		1 => 'Posted',
		0 => 'Unposted'
	));
	
	Configure::write('NUMERICAL_COMPARISON', array(
		'=' => '=',
		'>' => '>',
		'>=' => '>=',
		'<' => '<',
		'<=' => '<='
	));
	
	Configure::write('TEXT_COMPARISON', array(
		'has' => 'has',
		'starts_with' => 'starts with',
		'ends_with' => 'ends with',
		'exactly' => 'is exactly'
	));
	
	Configure::write('ITEM_TYPE', array(
		'SUP' => 'Supply and Materials',
		'SMX' => 'Semi-Expendables',
		'PPE' => 'Property, Plant and Equipment'
	));
	Configure::write('TRANSFER_TYPE', array(
		'Donation' => 'Donation',
		'Reassignment' => 'Reassignment',
		'Relocate' => 'Relocate',
		'Others' => 'Others'
	));
	Configure::write('LOST_STOLEN_DAMAGED_DESTROYED', array(
		'is_lost' => 'Lost',
		'is_stolen' => 'Stolen',
		'is_damaged' => 'Damaged',
		'is_destroyed' => 'Destroyed',
	));
	
	Configure::write('PPE_STATUS_LOST_STOLEN_DAMAGED_DESTROYED', array(
		'is_lost' => 3,
		'is_stolen' => 4,
		'is_damaged' => 5,
		'is_destroyed' => 6,
	));
	Configure::write('DISPOSAL_TYPE', array(
		'disposal_is_sold' => 'Sold',
		'disposal_is_transferred' => 'Transferred',
		'disposal_is_destructed' => 'Destructed',
		'disposal_is_others' => 'Others',
	));
	
	Configure::write('PREFIX_RIS', array(
		'CS-' => 'Construction Supplies',
		'NSA-' => 'National Sports Association',
		'OS-' => 'Office Supplies',
		'E-' => 'Equipment',
		'OSM-' => 'Other Supplies and Materials',
	));
	
?>