<?php
App::uses('Component', 'Controller');

class AlertComponent extends Component {
	public $components = array('Session');
	
	private $alert_messages = array(
		
		'no_records_found' => array('No Records Found', 'global-notice-failed-full'), 
		'success_ticket_on_going' => array('Ticket has been set as on-going.', 'global-notice-success-full'),
		'success_ticket_on_hold' => array('Ticket has been set as on-hold.', 'global-notice-success-full'),
		'success_ticket_closed' => array('Ticket has been closed.', 'global-notice-success-full'),
		'failed_ticket' => array("Ticket could not be update. Please, try again.", 'global-notice-failed-full'),
		
		
		
		
		
		'success_glimpse_update' => array('Glimpse has been updated.', 'global-notice-success-full'),
		
		'old_password_does_not_match' => array('Old Password Does Not Match', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_vision_save' => array('Vision has been saved.', 'global-notice-success-full'),
		'failed_vision_save' => array('Vision could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_change_password' => array('Password has been successfully updated!', 'global-notice-success-full'),
		'failed_change_password' => array('Password could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_vision_update' => array('Vision has been updated.', 'global-notice-success-full'),
		'failed_vision_update' => array('Vision could not be update. Please, try again.', 'global-notice-failed-full'),
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_region_4a_websites_update' => array('Region 4a Website has been updated.', 'global-notice-success-full'),
		'success_region_4a_websites_failed' => array('Region 4a Website could not be update. Please, try again.', 'global-notice-failed-full'),
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_citizen_charter_save' => array("Citizen\'s Charter has been saved.", 'global-notice-success-full'),
		'failed_citizen_charter_save' => array("Citizen\'s Charter could not be save. Please, try again.", 'global-notice-failed-full'),
		
		'success_citizen_charter_update' => array("Citizen\'s Charter has been updated.", 'global-notice-success-full'),
		'failed_citizen_charter_update' => array("Citizen\'s Charter could not be update. Please, try again.", 'global-notice-failed-full'),
		
		'success_citizen_charter_delete' => array("Citizen\'s Charter has been deleted.", 'global-notice-success-full'),
		'failed_citizen_charter_delete' => array("Citizen\'s Charter could not be delete. Please, try again.", 'global-notice-failed-full'),
		
		'success_citizen_charter_enable' => array("Citizen\'s Charter has been enabled.", 'global-notice-success-full'),
		'failed_citizen_charter_enable' => array("Citizen\'s Charter could not be enabled. Please, try again.", 'global-notice-failed-full'),
		
		'success_citizen_charter_disable' => array("Citizen\'s Charter has been disabled.", 'global-notice-success-full'),
		'failed_citizen_charter_disable' => array("Citizen\'s Charter could not be disabled. Please, try again.", 'global-notice-failed-full'),
		
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_mandate_save' => array('Mandate has been saved.', 'global-notice-success-full'),
		'failed_mandate_save' => array('Mandate could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_mandate_update' => array('Mandate has been updated.', 'global-notice-success-full'),
		'failed_mandate_update' => array('Mandate could not be update. Please, try again.', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_mission_save' => array('Mission has been saved.', 'global-notice-success-full'),
		'failed_mission_save' => array('Mission could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_mission_update' => array('Mission has been updated.', 'global-notice-success-full'),
		'failed_mission_update' => array('Mission could not be update. Please, try again.', 'global-notice-failed-full'),
		
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_user_save' => array('User has been saved.', 'global-notice-success-full'),
		'failed_user_save' => array('User could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_user_update' => array('User has been updated.', 'global-notice-success-full'),
		'failed_user_update' => array('User could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_user_delete' => array('User has been deleted.', 'global-notice-success-full'),
		'failed_user_delete' => array('User could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_user_enable' => array('User has been enabled.', 'global-notice-success-full'),
		'failed_user_enable' => array('User could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_user_disable' => array('User has been disabled.', 'global-notice-success-full'),
		'failed_user_disable' => array('User could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_project_type_save' => array('Project Type has been saved.', 'global-notice-success-full'),
		'failed_project_type_save' => array('Project Type could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_project_type_update' => array('Project Type has been updated.', 'global-notice-success-full'),
		'failed_project_type_update' => array('Project Type could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_project_type_delete' => array('Project Type has been deleted.', 'global-notice-success-full'),
		'failed_project_type_delete' => array('Project Type could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_project_type_enable' => array('Project Type has been enabled.', 'global-notice-success-full'),
		'failed_project_type_enable' => array('Project Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_project_type_disable' => array('Project Type has been disabled.', 'global-notice-success-full'),
		'failed_project_type_disable' => array('Project Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_project_save' => array('Project has been saved.', 'global-notice-success-full'),
		'failed_project_save' => array('Project could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_project_update' => array('Project has been updated.', 'global-notice-success-full'),
		'failed_project_update' => array('Project could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_project_delete' => array('Project has been deleted.', 'global-notice-success-full'),
		'failed_project_delete' => array('Project could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_project_enable' => array('Project has been enabled.', 'global-notice-success-full'),
		'failed_project_enable' => array('Project could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_project_disable' => array('Project has been disabled.', 'global-notice-success-full'),
		'failed_project_disable' => array('Project could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_performance_governance_scorecard_target_save' => array('Performance Governance Scorecard Target has been saved.', 'global-notice-success-full'),
		'failed_performance_governance_scorecard_target_save' => array('Performance Governance Scorecard Target could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_performance_governance_scorecard_target_update' => array('Performance Governance Scorecard Target has been updated.', 'global-notice-success-full'),
		'failed_performance_governance_scorecard_target_update' => array('Performance Governance Scorecard Target could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_performance_governance_scorecard_target_delete' => array('Performance Governance Scorecard Target has been deleted.', 'global-notice-success-full'),
		'failed_performance_governance_scorecard_target_delete' => array('Performance Governance Scorecard Target could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_performance_governance_scorecard_target_enable' => array('Performance Governance Scorecard Target has been enabled.', 'global-notice-success-full'),
		'failed_performance_governance_scorecard_target_enable' => array('Performance Governance Scorecard Target could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_performance_governance_scorecard_target_disable' => array('Performance Governance Scorecard Target has been disabled.', 'global-notice-success-full'),
		'failed_performance_governance_scorecard_target_disable' => array('Performance Governance Scorecard Target could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_social_impact_documentation_activity_save' => array('Social Impact Documentation Activity has been saved.', 'global-notice-success-full'),
		'failed_social_impact_documentation_activity_save' => array('Social Impact Documentation Activity could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_social_impact_documentation_activity_update' => array('Social Impact Documentation Activity has been updated.', 'global-notice-success-full'),
		'failed_social_impact_documentation_activity_update' => array('Social Impact Documentation Activity could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_social_impact_documentation_activity_delete' => array('Social Impact Documentation Activity has been deleted.', 'global-notice-success-full'),
		'failed_social_impact_documentation_activity_delete' => array('Social Impact Documentation Activity could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_social_impact_documentation_activity_enable' => array('Social Impact Documentation Activity has been enabled.', 'global-notice-success-full'),
		'failed_social_impact_documentation_activity_enable' => array('Social Impact Documentation Activity could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_social_impact_documentation_activity_disable' => array('Social Impact Documentation Activity has been disabled.', 'global-notice-success-full'),
		'failed_social_impact_documentation_activity_disable' => array('Social Impact Documentation Activity could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_frontline_service_save' => array('Frontline Service has been saved.', 'global-notice-success-full'),
		'failed_frontline_service_save' => array('Frontline Service could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_frontline_service_update' => array('Frontline Service has been updated.', 'global-notice-success-full'),
		'failed_frontline_service_update' => array('Frontline Service could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_frontline_service_delete' => array('Frontline Service has been deleted.', 'global-notice-success-full'),
		'failed_frontline_service_delete' => array('Frontline Service could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_frontline_service_enable' => array('Frontline Service has been enabled.', 'global-notice-success-full'),
		'failed_frontline_service_enable' => array('Frontline Service could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_frontline_service_disable' => array('Frontline Service has been disabled.', 'global-notice-success-full'),
		'failed_frontline_service_disable' => array('Frontline Service could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_invitation_to_bid_save' => array('Invitation To Bid has been saved.', 'global-notice-success-full'),
		'failed_invitation_to_bid_save' => array('Invitation To Bid could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_invitation_to_bid_update' => array('Invitation To Bid has been updated.', 'global-notice-success-full'),
		'failed_invitation_to_bid_update' => array('Invitation To Bid could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_invitation_to_bid_delete' => array('Invitation To Bid has been deleted.', 'global-notice-success-full'),
		'failed_invitation_to_bid_delete' => array('Invitation To Bid could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_invitation_to_bid_enable' => array('Invitation To Bid has been enabled.', 'global-notice-success-full'),
		'failed_invitation_to_bid_enable' => array('Invitation To Bid could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_invitation_to_bid_disable' => array('Invitation To Bid has been disabled.', 'global-notice-success-full'),
		'failed_invitation_to_bid_disable' => array('Invitation To Bid could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_salary_grade_save' => array('Salary Grade has been saved.', 'global-notice-success-full'),
		'failed_salary_grade_save' => array('Salary Grade could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_salary_grade_update' => array('Salary Grade has been updated.', 'global-notice-success-full'),
		'failed_salary_grade_update' => array('Salary Grade could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_salary_grade_delete' => array('Salary Grade has been deleted.', 'global-notice-success-full'),
		'failed_salary_grade_delete' => array('Salary Grade could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_salary_grade_enable' => array('Salary Grade has been enabled.', 'global-notice-success-full'),
		'failed_salary_grade_enable' => array('Salary Grade could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_salary_grade_disable' => array('Salary Grade has been disabled.', 'global-notice-success-full'),
		'failed_salary_grade_disable' => array('Salary Grade could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
	///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_org_chart_save' => array('Organization Chart has been saved.', 'global-notice-success-full'),
		'failed_org_chart_save' => array('Organization Chart could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_org_chart_update' => array('Organization Chart has been updated.', 'global-notice-success-full'),
		'failed_org_chart_update' => array('Organization Chart could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_org_chart_delete' => array('Organization Chart has been deleted.', 'global-notice-success-full'),
		'failed_org_chart_delete' => array('Organization Chart could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_org_chart_enable' => array('Organization Chart has been enabled.', 'global-notice-success-full'),
		'failed_org_chart_enable' => array('Organization Chart could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_org_chart_disable' => array('Organization Chart has been disabled.', 'global-notice-success-full'),
		'failed_org_chart_disable' => array('Organization Chart could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
			///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_news_and_trend_save' => array('News and Trend has been saved.', 'global-notice-success-full'),
		'failed_news_and_trend_save' => array('News and Trend could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_news_and_trend_update' => array('News and Trend has been updated.', 'global-notice-success-full'),
		'failed_news_and_trend_update' => array('News and Trend could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_news_and_trend_delete' => array('News and Trend has been deleted.', 'global-notice-success-full'),
		'failed_news_and_trend_delete' => array('News and Trend could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_news_and_trend_enable' => array('News and Trend has been enabled.', 'global-notice-success-full'),
		'failed_news_and_trend_enable' => array('News and Trend could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_news_and_trend_disable' => array('News and Trend has been disabled.', 'global-notice-success-full'),
		'failed_news_and_trend_disable' => array('News and Trend could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_item_number_save' => array('Item Number has been saved.', 'global-notice-success-full'),
		'failed_item_number_save' => array('Item Number could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_item_number_update' => array('Item Number has been updated.', 'global-notice-success-full'),
		'failed_item_number_update' => array('Item Number could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_item_number_delete' => array('Item Number has been deleted.', 'global-notice-success-full'),
		'failed_item_number_delete' => array('Item Number could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_item_number_enable' => array('Item Number has been enabled.', 'global-notice-success-full'),
		'failed_item_number_enable' => array('Item Number could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_item_number_disable' => array('Item Number has been disabled.', 'global-notice-success-full'),
		'failed_item_number_disable' => array('Item Number could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_organizational_chart_save' => array('Organizational Chart has been saved.', 'global-notice-success-full'),
		'failed_organizational_chart_save' => array('Organizational Chart could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_organizational_chart_update' => array('Organizational Chart has been updated.', 'global-notice-success-full'),
		'failed_organizational_chart_update' => array('Organizational Chart could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_organizational_chart_delete' => array('Organizational Chart has been deleted.', 'global-notice-success-full'),
		'failed_organizational_chart_delete' => array('Organizational Chart could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_organizational_chart_enable' => array('Organizational Chart has been enabled.', 'global-notice-success-full'),
		'failed_organizational_chart_enable' => array('Organizational Chart could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_organizational_chart_disable' => array('Organizational Chart has been disabled.', 'global-notice-success-full'),
		'failed_organizational_chart_disable' => array('Organizational Chart could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
			
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_background_image_save' => array('Background Image has been saved.', 'global-notice-success-full'),
		'failed_background_image_save' => array('Background Image could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_background_image_update' => array('Background Image has been updated.', 'global-notice-success-full'),
		'failed_background_image_update' => array('Background Image could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_background_image_delete' => array('Background Image has been deleted.', 'global-notice-success-full'),
		'failed_background_image_delete' => array('Background Image could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_background_image_enable' => array('Background Image has been enabled.', 'global-notice-success-full'),
		'failed_background_image_enable' => array('Background Image could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_background_image_disable' => array('Background Image has been disabled.', 'global-notice-success-full'),
		'failed_background_image_disable' => array('Background Image could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
			
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_tag_save' => array('Tag has been successfully saved!', 'global-notice-success-full'),
		'failed_tag_save' => array('Tag could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_tag_update' => array('Tag has been successfully updated!', 'global-notice-success-full'),
		'failed_tag_update' => array('Tag could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_tag_delete' => array('Tag has been successfully disabled!', 'global-notice-success-full'),
		'failed_tag_delete' => array('Selected Tag could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_tag_enable' => array('Tag has been successfully enabled!', 'global-notice-success-full'),
		'failed_tag_enable' => array('Selected Tag could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_tag_disable' => array('Tag has been successfully disabled!', 'global-notice-success-full'),
		'failed_tag_disable' => array('Selected Tag could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_announcement_save' => array('Announcement has been successfully saved!', 'global-notice-success-full'),
		'failed_announcement_save' => array('Announcement could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_announcement_update' => array('Announcement has been successfully updated!', 'global-notice-success-full'),
		'failed_announcement_update' => array('Announcement could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_announcement_delete' => array('Announcement has been successfully disabled!', 'global-notice-success-full'),
		'failed_announcement_delete' => array('Selected Announcement could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_announcement_enable' => array('Announcement has been successfully enabled!', 'global-notice-success-full'),
		'failed_announcement_enable' => array('Selected Announcement could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_announcement_disable' => array('Announcement has been successfully disabled!', 'global-notice-success-full'),
		'failed_announcement_disable' => array('Selected Announcement could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),	
		

		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_home_update' => array('Home Settings has been successfully saved!', 'global-notice-success-full'),
		'failed_home_update' => array('Home Settings could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_position_title_save' => array('Position Title has been successfully saved!', 'global-notice-success-full'),
		'failed_position_title_save' => array('Position Title could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_position_title_update' => array('Position Title has been successfully updated!', 'global-notice-success-full'),
		'failed_position_title_update' => array('Position Title could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_position_title_delete' => array('Position Title has been successfully disabled!', 'global-notice-success-full'),
		'failed_position_title_delete' => array('Selected Position Title could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_position_title_enable' => array('Position Title has been successfully enabled!', 'global-notice-success-full'),
		'failed_position_title_enable' => array('Selected Position Title could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_position_title_disable' => array('Position Title has been successfully disabled!', 'global-notice-success-full'),
		'failed_position_title_disable' => array('Selected Position Title could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_quarter_news_letter_type_save' => array('Quarter News Letter Type has been successfully saved!', 'global-notice-success-full'),
		'failed_quarter_news_letter_type_save' => array('Quarter News Letter Type could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_quarter_news_letter_type_update' => array('Quarter News Letter Type has been successfully updated!', 'global-notice-success-full'),
		'failed_quarter_news_letter_type_update' => array('Quarter News Letter Type could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_quarter_news_letter_type_delete' => array('Quarter News Letter Type has been successfully disabled!', 'global-notice-success-full'),
		'failed_quarter_news_letter_type_delete' => array('Selected Quarter News Letter Type could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_quarter_news_letter_type_enable' => array('Quarter News Letter Type has been successfully enabled!', 'global-notice-success-full'),
		'failed_quarter_news_letter_type_enable' => array('Selected Quarter News Letter Type could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_quarter_news_letter_type_disable' => array('Quarter News Letter Type has been successfully disabled!', 'global-notice-success-full'),
		'failed_quarter_news_letter_type_disable' => array('Selected Quarter News Letter Type could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_quarter_news_letter_save' => array('Quarter News Letter has been successfully saved!', 'global-notice-success-full'),
		'failed_quarter_news_letter_save' => array('Quarter News Letter could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_quarter_news_letter_update' => array('Quarter News Letter has been successfully updated!', 'global-notice-success-full'),
		'failed_quarter_news_letter_update' => array('Quarter News Letter could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_quarter_news_letter_delete' => array('Quarter News Letter has been successfully disabled!', 'global-notice-success-full'),
		'failed_quarter_news_letter_delete' => array('Selected Quarter News Letter could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_quarter_news_letter_enable' => array('Quarter News Letter has been successfully enabled!', 'global-notice-success-full'),
		'failed_quarter_news_letter_enable' => array('Selected Quarter News Letter could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_quarter_news_letter_disable' => array('Quarter News Letter has been successfully disabled!', 'global-notice-success-full'),
		'failed_quarter_news_letter_disable' => array('Selected Quarter News Letter could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_transparency_seal_type_save' => array('Transparency Seal Type has been successfully saved!', 'global-notice-success-full'),
		'failed_transparency_seal_type_save' => array('Transparency Seal Type could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_transparency_seal_type_update' => array('Transparency Seal Type has been successfully updated!', 'global-notice-success-full'),
		'failed_transparency_seal_type_update' => array('Transparency Seal Type could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_transparency_seal_type_delete' => array('Transparency Seal Type has been successfully disabled!', 'global-notice-success-full'),
		'failed_transparency_seal_type_delete' => array('Selected Transparency Seal Type could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_transparency_seal_type_enable' => array('Transparency Seal Type has been successfully enabled!', 'global-notice-success-full'),
		'failed_transparency_seal_type_enable' => array('Selected Transparency Seal Type could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_transparency_seal_type_disable' => array('Transparency Seal Type has been successfully disabled!', 'global-notice-success-full'),
		'failed_transparency_seal_type_disable' => array('Selected Transparency Seal Type could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_transparency_seal_save' => array('Transparency Seal has been successfully saved!', 'global-notice-success-full'),
		'failed_transparency_seal_save' => array('Transparency Seal could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_transparency_seal_update' => array('Transparency Seal has been successfully updated!', 'global-notice-success-full'),
		'failed_transparency_seal_update' => array('Transparency Seal could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_transparency_seal_delete' => array('Transparency Seal has been successfully disabled!', 'global-notice-success-full'),
		'failed_transparency_seal_delete' => array('Selected Transparency Seal could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_transparency_seal_enable' => array('Transparency Seal has been successfully enabled!', 'global-notice-success-full'),
		'failed_transparency_seal_enable' => array('Selected Transparency Seal could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_transparency_seal_disable' => array('Transparency Seal has been successfully disabled!', 'global-notice-success-full'),
		'failed_transparency_seal_disable' => array('Selected Transparency Seal could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_annual_report_save' => array('Annual Report has been successfully saved!', 'global-notice-success-full'),
		'failed_annual_report_save' => array('Annual Report could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_annual_report_update' => array('Annual Report has been successfully updated!', 'global-notice-success-full'),
		'failed_annual_report_update' => array('Annual Report could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_annual_report_delete' => array('Annual Report has been successfully disabled!', 'global-notice-success-full'),
		'failed_annual_report_delete' => array('Selected Annual Report could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_annual_report_enable' => array('Annual Report has been successfully enabled!', 'global-notice-success-full'),
		'failed_annual_report_enable' => array('Selected Annual Report could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_annual_report_disable' => array('Annual Report has been successfully disabled!', 'global-notice-success-full'),
		'failed_annual_report_disable' => array('Selected Annual Report could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_bi_annual_report_save' => array('Bi Annual Report has been successfully saved!', 'global-notice-success-full'),
		'failed_bi_annual_report_save' => array('Bi Annual Report could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_bi_annual_report_update' => array('Bi Annual Report has been successfully updated!', 'global-notice-success-full'),
		'failed_bi_annual_report_update' => array('Bi Annual Report could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_bi_annual_report_delete' => array('Bi Annual Report has been successfully disabled!', 'global-notice-success-full'),
		'failed_bi_annual_report_delete' => array('Bi Selected Annual Report could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_bi_annual_report_enable' => array('Bi Annual Report has been successfully enabled!', 'global-notice-success-full'),
		'failed_bi_annual_report_enable' => array('Bi Selected Annual Report could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_bi_annual_report_disable' => array('Bi Annual Report has been successfully disabled!', 'global-notice-success-full'),
		'failed_bi_annual_report_disable' => array('Bi Selected Annual Report could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_background_music_save' => array('Background Music has been saved.', 'global-notice-success-full'),
		'failed_background_music_save' => array('Background Music could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_background_music_update' => array('Background Music has been updated.', 'global-notice-success-full'),
		'failed_background_music_update' => array('Background Music could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_background_music_delete' => array('Background Music has been deleted.', 'global-notice-success-full'),
		'failed_background_music_delete' => array('Background Music could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_background_music_enable' => array('Background Music has been enabled.', 'global-notice-success-full'),
		'failed_background_music_enable' => array('Background Music could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_background_music_disable' => array('Background Music has been disabled.', 'global-notice-success-full'),
		'failed_background_music_disable' => array('Background Music could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_activity_save' => array('Activity has been saved.', 'global-notice-success-full'),
		'failed_activity_save' => array('Activity could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_activity_update' => array('Activity has been updated.', 'global-notice-success-full'),
		'failed_activity_update' => array('Activity could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_activity_delete' => array('Activity has been deleted.', 'global-notice-success-full'),
		'failed_activity_delete' => array('Activity could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_activity_enable' => array('Activity has been enabled.', 'global-notice-success-full'),
		'failed_activity_enable' => array('Activity could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_activity_disable' => array('Activity has been disabled.', 'global-notice-success-full'),
		'failed_activity_disable' => array('Activity could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_banner_image_delete' => array('Banner Image has been deleted.', 'global-notice-success-full'),
		'failed_banner_image_delete' => array('Banner Image could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		'success_citizen_charter_attachment_delete' => array('Citizen Charter Attachment has been deleted.', 'global-notice-success-full'),
		'failed_citizen_charter_attachment_delete' => array('Citizen Charter Attachment could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_iec_newsletter_save' => array('IEC Newsletter has been successfully saved!', 'global-notice-success-full'),
		'failed_iec_newsletter_save' => array('IEC Newsletter could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_newsletter_update' => array('IEC Newsletter has been successfully updated!', 'global-notice-success-full'),
		'failed_iec_newsletter_update' => array('IEC Newsletter could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_newsletter_delete' => array('IEC Newsletter has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_newsletter_delete' => array('Selected IEC Newsletter could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_newsletter_enable' => array('IEC Newsletter has been successfully enabled!', 'global-notice-success-full'),
		'failed_iec_newsletter_enable' => array('Selected IEC Newsletter could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_iec_newsletter_disable' => array('IEC Newsletter has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_newsletter_disable' => array('Selected IEC Newsletter could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),

		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_iec_magazine_save' => array('IEC Magazine has been successfully saved!', 'global-notice-success-full'),
		'failed_iec_magazine_save' => array('IEC Magazine could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_magazine_update' => array('IEC Magazine has been successfully updated!', 'global-notice-success-full'),
		'failed_iec_magazine_update' => array('IEC Magazine could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_magazine_delete' => array('IEC Magazine has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_magazine_delete' => array('Selected IEC Magazine could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_magazine_enable' => array('IEC Magazine has been successfully enabled!', 'global-notice-success-full'),
		'failed_iec_magazine_enable' => array('Selected IEC Magazine could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_iec_magazine_disable' => array('IEC Magazine has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_magazine_disable' => array('Selected IEC Magazine could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_iec_rice_save' => array('IEC Rice has been successfully saved!', 'global-notice-success-full'),
		'failed_iec_rice_save' => array('IEC Rice could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_rice_update' => array('IEC Rice has been successfully updated!', 'global-notice-success-full'),
		'failed_iec_rice_update' => array('IEC Rice could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_rice_delete' => array('IEC Rice has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_rice_delete' => array('Selected IEC Rice could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_rice_enable' => array('IEC Rice has been successfully enabled!', 'global-notice-success-full'),
		'failed_iec_rice_enable' => array('Selected IEC Rice could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_iec_rice_disable' => array('IEC Rice has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_rice_disable' => array('Selected IEC Rice could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_iec_corn_and_cassava_save' => array('IEC Corn and Cassava has been successfully saved!', 'global-notice-success-full'),
		'failed_iec_corn_and_cassava_save' => array('IEC Corn and Cassava could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_corn_and_cassava_update' => array('IEC Corn and Cassava has been successfully updated!', 'global-notice-success-full'),
		'failed_iec_corn_and_cassava_update' => array('IEC Corn and Cassava could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_corn_and_cassava_delete' => array('IEC Corn and Cassava has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_corn_and_cassava_delete' => array('Selected IEC Corn and Cassava could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_corn_and_cassava_enable' => array('IEC Corn and Cassava has been successfully enabled!', 'global-notice-success-full'),
		'failed_iec_corn_and_cassava_enable' => array('Selected IEC Corn and Cassava could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_iec_corn_and_cassava_disable' => array('IEC Corn and Cassava has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_corn_and_cassava_disable' => array('Selected IEC Corn and Cassava could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_iec_high_value_crop_save' => array('IEC High Value Crops has been successfully saved!', 'global-notice-success-full'),
		'failed_iec_high_value_crop_save' => array('IEC High Value Crops could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_high_value_crop_update' => array('IEC High Value Crops has been successfully updated!', 'global-notice-success-full'),
		'failed_iec_high_value_crop_update' => array('IEC High Value Crops could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_high_value_crop_delete' => array('IEC High Value Crops has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_high_value_crop_delete' => array('Selected IEC High Value Crops could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_high_value_crop_enable' => array('IEC High Value Crops has been successfully enabled!', 'global-notice-success-full'),
		'failed_iec_high_value_crop_enable' => array('Selected IEC High Value Crops could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_iec_high_value_crop_disable' => array('IEC High Value Crops has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_high_value_crop_disable' => array('Selected IEC High Value Crops could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_iec_livestock_save' => array('IEC Livestock has been successfully saved!', 'global-notice-success-full'),
		'failed_iec_livestock_save' => array('IEC Livestock could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_livestock_update' => array('IEC Livestock has been successfully updated!', 'global-notice-success-full'),
		'failed_iec_livestock_update' => array('IEC Livestock could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_livestock_delete' => array('IEC Livestock has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_livestock_delete' => array('Selected IEC Livestock could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_livestock_enable' => array('IEC Livestock has been successfully enabled!', 'global-notice-success-full'),
		'failed_iec_livestock_enable' => array('Selected IEC Livestock could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_iec_livestock_disable' => array('IEC Livestock has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_livestock_disable' => array('Selected IEC Livestock could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_iec_organic_agriculture_save' => array('IEC Organic Agriculture has been successfully saved!', 'global-notice-success-full'),
		'failed_iec_organic_agriculture_save' => array('IEC Organic Agriculture could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_organic_agriculture_update' => array('IEC Organic Agriculture has been successfully updated!', 'global-notice-success-full'),
		'failed_iec_organic_agriculture_update' => array('IEC Organic Agriculture could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_organic_agriculture_delete' => array('IEC Organic Agriculture has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_organic_agriculture_delete' => array('Selected IEC Organic Agriculture could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_organic_agriculture_enable' => array('IEC Organic Agriculture has been successfully enabled!', 'global-notice-success-full'),
		'failed_iec_organic_agriculture_enable' => array('Selected IEC Organic Agriculture could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_iec_organic_agriculture_disable' => array('IEC Organic Agriculture has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_organic_agriculture_disable' => array('Selected IEC Organic Agriculture could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_iec_other_save' => array('IEC Other has been successfully saved!', 'global-notice-success-full'),
		'failed_iec_other_save' => array('IEC Other could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_other_update' => array('IEC Other has been successfully updated!', 'global-notice-success-full'),
		'failed_iec_other_update' => array('IEC Other could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_other_delete' => array('IEC Other has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_other_delete' => array('Selected IEC Other could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_iec_other_enable' => array('IEC Other has been successfully enabled!', 'global-notice-success-full'),
		'failed_iec_other_enable' => array('Selected IEC Other could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_iec_other_disable' => array('IEC Other has been successfully disabled!', 'global-notice-success-full'),
		'failed_iec_other_disable' => array('Selected IEC Other could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_trade_event_save' => array('Trade Event has been successfully saved!', 'global-notice-success-full'),
		'failed_trade_event_save' => array('Trade Event could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_trade_event_update' => array('Trade Event has been successfully updated!', 'global-notice-success-full'),
		'failed_trade_event_update' => array('Trade Event could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_trade_event_delete' => array('Trade Event has been successfully disabled!', 'global-notice-success-full'),
		'failed_trade_event_delete' => array('Selected Trade Event could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		'success_trade_event_enable' => array('Trade Event has been successfully enabled!', 'global-notice-success-full'),
		'failed_trade_event_enable' => array('Selected Trade Event could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		'success_trade_event_disable' => array('Trade Event has been successfully disabled!', 'global-notice-success-full'),
		'failed_trade_event_disable' => array('Selected Trade Event could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_screen_timeout_update' => array('Screen Timeout has been successfully saved!', 'global-notice-success-full'),
		'failed_screen_timeout_update' => array('Screen Timeout could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		// 'success_iec_other_update' => array('IEC Other has been successfully updated!', 'global-notice-success-full'),
		// 'failed_iec_other_update' => array('IEC Other could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		// 'success_iec_other_delete' => array('IEC Other has been successfully disabled!', 'global-notice-success-full'),
		// 'failed_iec_other_delete' => array('Selected IEC Other could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		// 'success_iec_other_enable' => array('IEC Other has been successfully enabled!', 'global-notice-success-full'),
		// 'failed_iec_other_enable' => array('Selected IEC Other could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		// 'success_iec_other_disable' => array('IEC Other has been successfully disabled!', 'global-notice-success-full'),
		// 'failed_iec_other_disable' => array('Selected IEC Other could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),		
		
		///////////////////////////////////////////////////////////////////////////////////////////////////////////
		'success_lock_screen_update' => array('Lock Screen has been updated!', 'global-notice-success-full'),
		'failed_lock_screen_update' => array('Lock Screen could not be saved! Please check the data then try again!', 'global-notice-failed-full'),
		
		// 'success_iec_other_update' => array('IEC Other has been successfully updated!', 'global-notice-success-full'),
		// 'failed_iec_other_update' => array('IEC Other could not be updated! Please check the data then try again!', 'global-notice-failed-full'),
		
		// 'success_iec_other_delete' => array('IEC Other has been successfully disabled!', 'global-notice-success-full'),
		// 'failed_iec_other_delete' => array('Selected IEC Other could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),
		
		// 'success_iec_other_enable' => array('IEC Other has been successfully enabled!', 'global-notice-success-full'),
		// 'failed_iec_other_enable' => array('Selected IEC Other could not be enabled! Please check the data then try again!', 'global-notice-failed-full'),	
		
		// 'success_iec_other_disable' => array('IEC Other has been successfully disabled!', 'global-notice-success-full'),
		// 'failed_iec_other_disable' => array('Selected IEC Other could not be disabled! Please check the data then try again!', 'global-notice-failed-full'),				
	);
	
	public function success_add($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash($alert_name_string . ' has been successfully saved.', 'alert.success-full');
		}
		else {
			$this->Session->setFlash('All ' . $alert_name_string . ' has been successfully saved.', 'alert.success-full');
		}
	}
	
    public function failed_add($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash('Failed to save a new ' . $alert_name_string . '.', 'alert.failed-full');
		}
		else {
			$this->Session->setFlash('Failed to save all new ' . $alert_name_string . '.', 'alert.failed-full');
		}
	}
	 public function failed_convert($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash('Unsupported File extension ', 'alert.failed-full');
		}
		else {
			$this->Session->setFlash('Unsupported File extension ', 'alert.failed-full');
		}
	}
	public function success_update($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash($alert_name_string . ' has been successfully updated.', 'alert.success-full');
		}
		else {
			$this->Session->setFlash('All ' . $alert_name_string . ' has been successfully updated.', 'alert.success-full');
		}
	} 
	
	public function failed_update($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash('Failed to update the selected ' . $alert_name_string . '.', 'alert.failed-full');
		}
		else {
			$this->Session->setFlash('Failed to update all selected ' . $alert_name_string . '.', 'alert.failed-full');
		}
	}
	public function return_index($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash('Selected PO is already used in another IAR Entry.', 'alert.failed-full');
		}
		else {
			$this->Session->setFlash('Selected PO is already used in another IAR Entry.', 'alert.failed-full');
		}
	}
	public function success_disabled($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash($alert_name_string . ' has been successfully disabled.', 'alert.success-full');
		}
		else {
			$this->Session->setFlash('All ' . $alert_name_string . ' has been successfully disabled.', 'alert.success-full');
		}
	}
	
	public function failed_disabled($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash('Failed to disable the selected ' . $alert_name_string . '.', 'alert.failed-full');
		}
		else {
			$this->Session->setFlash('Failed to disable all selected ' . $alert_name_string . '.', 'alert.failed-full');
		}
	}
	
	public function success_enabled($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash($alert_name_string . ' has been successfully enabled.', 'alert.success-full');
		}
		else {
			$this->Session->setFlash('All ' . $alert_name_string . ' has been successfully enabled.', 'alert.success-full');
		}			
	}
	
	public function failed_enabled($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash('Failed to enable the selected ' . $alert_name_string . '.', 'alert.failed-full');
		}
		else {
			$this->Session->setFlash('Failed to enable all selected ' . $alert_name_string . '.', 'alert.failed-full');
		}
	}
	
	public function success_delete($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash($alert_name_string . ' has been successfully deleted.', 'alert.success-full');
		}
		else {
			$this->Session->setFlash('All ' . $alert_name_string . ' has been successfully deleted.', 'alert.success-full');
		}	
	}
	
	public function failed_delete($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash('Failed to delete the selected ' . $alert_name_string . '. This record is currently used in the system.', 'alert.failed-full');
		}
		else {
			$this->Session->setFlash('Failed to delete all selected ' . $alert_name_string . '. These records are currently used in the system.', 'alert.failed-full');
		}
	}
	
	public function success_monitored($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash($alert_name_string . ' is monitored.', 'alert.success-full');
		}
		else {
			$this->Session->setFlash('All ' . $alert_name_string . ' are monitored.', 'alert.success-full');
		}			
	}
	
	public function failed_monitored($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash('Failed to monitor the selected ' . $alert_name_string . '.', 'alert.failed-full');
		}
		else {
			$this->Session->setFlash('Failed to monitor all selected ' . $alert_name_string . '.', 'alert.failed-full');
		}
	}
	
	public function success_unmonitored($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash($alert_name_string . ' is unmonitored.', 'alert.success-full');
		}
		else {
			$this->Session->setFlash('All ' . $alert_name_string . ' are unmonitored.', 'alert.success-full');
		}			
	}
	
	public function failed_unmonitored($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash('Failed to unmonitor the selected ' . $alert_name_string . '.', 'alert.failed-full');
		}
		else {
			$this->Session->setFlash('Failed to unmonitor all selected ' . $alert_name_string . '.', 'alert.failed-full');
		}
	}
	
	public function success_include_in_alert($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash($alert_name_string . ' is included in the alert.', 'alert.success-full');
		}
		else {
			$this->Session->setFlash('All ' . $alert_name_string . ' are included in the alert.', 'alert.success-full');
		}			
	}
	
	public function failed_include_in_alert($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash('Failed to include the selected ' . $alert_name_string . ' in the alert.', 'alert.failed-full');
		}
		else {
			$this->Session->setFlash('Failed to include all selected ' . $alert_name_string . ' in the alert.', 'alert.failed-full');
		}
	}
	
	public function success_uninclude_in_alert($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash($alert_name_string . ' is unincluded in the alert.', 'alert.success-full');
		}
		else {
			$this->Session->setFlash('All ' . $alert_name_string . ' are unincluded in the alert.', 'alert.success-full');
		}			
	}
	
	public function failed_uninclude_in_alert($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash('Failed to include the selected ' . $alert_name_string . ' in the alert.', 'alert.failed-full');
		}
		else {
			$this->Session->setFlash('Failed to include all selected ' . $alert_name_string . ' in the alert.', 'alert.failed-full');
		}
	}
	
	public function success_post($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash($alert_name_string . ' has been successfully posted.', 'alert.success-full');
		}
		else {
			$this->Session->setFlash('All ' . $alert_name_string . ' has been successfully posted.', 'alert.success-full');
		}	
	}
	
	public function failed_post($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash($alert_name_string . ' could not be posted.', 'alert.failed-full');
		}
		else {
			$this->Session->setFlash('All ' . $alert_name_string . ' could not be posted.', 'alert.failed-full');
		}	
	}
	
	public function success_issued($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash($alert_name_string . ' has been successfully issued.', 'alert.success-full');
		}
		else {
			$this->Session->setFlash('All ' . $alert_name_string . ' has been successfully issued.', 'alert.success-full');
		}	
	}
	
	public function failed_issued($alert_name_string = null, $singular = true) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if($singular) {
			$this->Session->setFlash($alert_name_string . ' could not be issued.', 'alert.failed-full');
		}
		else {
			$this->Session->setFlash('All ' . $alert_name_string . ' could not be issued.', 'alert.failed-full');
		}	
	}
 
    public function display($alert_name_string = null, $module = null) {
		$alert_name = ltrim(preg_replace('/[A-Z]/', ' $0', $alert_name_string));
		if(isset($this->alert_messages[$alert_name])) {
			if(strpos($this->alert_messages[$alert_name][1] , 'failed') !== false) {
				$this->Session->write('Alert.Failed.' . $alert_name, $this->alert_messages[$alert_name][0]);
			}
			elseif(strpos($this->alert_messages[$alert_name][1] , 'success') !== false) {
				$this->Session->write('Alert.Success.' . $alert_name, $this->alert_messages[$alert_name][0]);
			}
			
			$this->Session->setFlash($this->alert_messages[$alert_name][0] . ' ' . $module, $this->alert_messages[$alert_name][1]);
		}
    }
}
?>