<?php
class DaiSharedCallbackBehavior extends ModelBehavior {
	public function beforeValidate(model $model, $options = array()) {
		if(!isset($model->data[$model->name][$model->primaryKey])) {
			$model->data[$model->name]['status'] = 1;
			$model->data[$model->name]['lock_flag'] = 0;
			$model->data[$model->name]['created_by'] = isset($_SESSION['Auth']['User']['id'])?$_SESSION['Auth']['User']['id']:100;
			$model->data[$model->name]['modified_by'] = isset($_SESSION['Auth']['User']['id'])?$_SESSION['Auth']['User']['id']:100;
			$model->data[$model->name]['created'] = date('Y-m-d H:i:s');
			$model->data[$model->name]['modified'] = date('Y-m-d H:i:s');
		}
		else { 
			$model->data[$model->name]['modified_by'] = isset($_SESSION['Auth']['User']['id'])?$_SESSION['Auth']['User']['id']:100; // pansamantala lang 
		}
		return true;
	}
	
	public function afterFind(model $model, $results, $primary = false) {
		if($primary) {
			foreach($results as $results_key => $results_value) {
				if(isset($results_value[$model->name]['status'])) {
					$results[$results_key][$model->name]['status_name'] = Configure::read('STATUS')[$results_value[$model->name]['status']]; 
				}
				
				if(isset($results_value[$model->name]['lock_flag'])) {
					$results[$results_key][$model->name]['lock_flag_name'] = Configure::read('YES_NO_BOOLEAN')[$results_value[$model->name]['lock_flag']]; 
				}
				
				if (isset($results_value[$model->name]['is_posted'])) {
					$results[$results_key][$model->name]['is_posted_name'] = Configure::read('POSTED_AND_UNPOSTED')[$results_value[$model->name]['is_posted']]; 
				} 
			}
		} 
		return $results;
	}
}
