<?php
App::uses('AppModel', 'Model');
App::uses('SimplePasswordHasher', 'Controller/Component/Auth');
App::uses('Folder', 'Utility');
App::uses('File', 'Utility');

class ProjectHistory extends AppModel { 
	
	public $belongsTo = array(
		'Project' => array(
			'className' => 'Project',  
		),
		'CreatedBy' => array(
			'className' => 'User', 
			'foreignKey' => 'created_by', 
		),  
		'LastModifiedBy' => array(
			'className' => 'User',  
			'foreignKey' => 'modified_by', 
		),
	);
	
  
	public function beforeValidate($options = array()) {
 
		
		return true;
	}	
	
	public function afterValidate() {
		// $this->data[$this->name] = prepare_date_format_for_saving($this->data[$this->name], array('date_and_time'));  
	}
	
	public function beforeSave($options = array()) {
	
		if(!isset($this->data['ProjectHistory']['id'])) {
			$this->data['ProjectHistory']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ProjectHistory']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ProjectHistory']['status'] = 'Active';
		}
		else {
			$this->data['ProjectHistory']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
 
		return true;
	}
}
?>