<?php
App::uses('AppModel', 'Model');
App::uses('SimplePasswordHasher', 'Controller/Component/Auth');
App::uses('Folder', 'Utility');
App::uses('File', 'Utility');

class TicketProduct extends AppModel { 

	public $actsAs = array('DaiSharedFunction', 'DaiSharedCallback');
	public $useTable = 'support_products';
	public $primaryKey = 'code';
	
	public function find_all_list() {
		$result = $this->find('list', array(
			'fields' => array(
				'TicketProduct.code', 
				'TicketProduct.product_name', 
			),
			'order' => 'TicketProduct.product_name ASC',
			'recursive' => -1
		));
		return $result;
	}
	
 
}
?>