<?php
	$this->BootstrapComponent->inspinia_create_standard_bootstrap_table_new(array(
		'id' => 'system_settings',
		'title' => 'View All Tickets',
		'class' => 'table-bordered table-hover',
		'column-headers' => array(
			$this->Paginator->sort('Ticket.ticket_number', 'Ticket Number', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Ticket.support_type', 'Support Type', array('class' => 'table-header-links')) => array('300px'),
			$this->Paginator->sort('Ticket.contact_name', 'Contact Name', array('class' => 'table-header-links')) => array('300px'),
			$this->Paginator->sort('Ticket.company_name', 'Company Name', array('class' => 'table-header-links')) => array('300px'),
			$this->Paginator->sort('Ticket.ticket_status', 'Ticket Status', array('class' => 'table-header-links')) => array('150px'),
		),
		'table-settings' => array(
			'Model' => 'Ticket',
			'Controller' => 'tickets',
			'prefix' => 'bidding',
			'action' => '_ticket',
			'include' => array('view', 'search'),
			'search_option' => array(
				'ticket_number' => 'text',
				'support_type' => 'text',
				'contact_name' => 'text',
				'company_name' => 'text',
				'ticket_status' => 'text',
			),
			'search_option_form_type' => 'GET',
		),
		'table-data' => $data,
		'paginator' => $this->Paginator
	));
?>