<?php
	$this->BootstrapComponent->inspinia_create_page_container_start('View Ticket');
	echo $this->Form->create('Ticket',array('enctype' => 'multipart/form-data'));
	echo $this->Form->input('id', array('type' => 'hidden'));
	
	// debug($ticket_data_all_history);
	// exit();

	$this->BootstrapComponent->inspinia_create_left_label_form_view_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				array('Ticket Number', $data['Ticket']['ticket_number'], 6),
				array('Contact Name', $data['Ticket']['contact_name'], 6),
				array('Ticket Status', $data['Ticket']['ticket_status'], 6),
				array('Company Name', $data['Ticket']['company_name'], 6),
				array('Support Type', $data['Ticket']['support_type'], 6),
				array('Company Address	', $data['Ticket']['company_address'], 6),
				array('Concern Type', $data['Ticket']['concern_type_code'], 6),
				array('Email Address', $data['Ticket']['email_address'], 6),
				array('Product', $data['Ticket']['product_code'], 6),
				array('IP Address', $data['Ticket']['ip_address'], 6),
				array('Details', $data['Ticket']['details'], 6),
				array('Date', $data['Ticket']['date'], 3),
				array('Time', $data['Ticket']['time'], 3),
			)
		)
	));

	$this->BootstrapComponent->inspinia_create_page_container_end();
	$this->BootstrapComponent->inspinia_create_page_container_start('Ticket Logs');
	
?>
 <?php
	foreach ($ticket_data_all_history as $ticket_data_all_history){
		 // debug($ticket_data_all_history);
		 
		$date_display = $ticket_data_all_history['Ticket']['date'];
		
		if(isset($ticket_data_all_history['Ticket']['time']) && !empty($ticket_data_all_history['Ticket']['time'])) {
			$date_display = $date_display . ' ' .  $ticket_data_all_history['Ticket']['time'];
		}
		
		echo '<div class="log-time-ago-container col-md-1">
			'. convert_datetime($ticket_data_all_history['Ticket']['created'], 'm/d/Y') .'
		</div>
		 <div class="log-container col-md-11">
			<div class="log-label-container">
				<span class="log-label">
					'. $ticket_data_all_history['Ticket']['contact_name'] .'
				</span>
				<span class="label label-success">
					'. convert_datetime(($date_display), 'F j, Y - H:i a' ) .'
				</span>
			</div>
			<div class="log-details">
				'. $ticket_data_all_history['Ticket']['details'] .'
			</div>
		</div>';
	}
	
	
?>

	
<?php	
	$this->BootstrapComponent->inspinia_create_button_line_container_start();
	echo $this->BootstrapComponent->inspinia_create_button('Close Ticket', array('template' => 'success','id' => 'btn_close_ticket'));
	$this->BootstrapComponent->inspinia_create_link_button('View All Tickets', array('controller' => 'tickets', 'action' => 'index','bidding' => true), array('template' => 'warning'));
	$this->BootstrapComponent->inspinia_create_button_line_container_end();

	echo $this->Form->end();	
	$this->BootstrapComponent->inspinia_create_page_container_end();
	echo $this->Html->script('plugins/pdfjs/pdf.js');
	
	
	
?>

<div id="btn_close_ticket" class="modal" role="dialog">
	<div class="modal-dialog" style="min-width: 1000px;">

		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Preview</h4>
			</div>
			<div class="modal-body" id="modal-preview-body">
				
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
			</div>
		</div>

	</div>
</div>


<script>
$("#btn_close_ticket").on("click", function(e) {
    e.preventDefault();
    swal({
        title: "Are you sure?",
        text: "You want to close this ticket?",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "Yes, Close Ticket!",
        closeOnConfirm: false
    },
    function() {
        window.location.href="<?php echo $this->Html->url(array('controller'=>'tickets','action'=>'close_ticket',$data['Ticket']['id'],'prefix'=>'bidding'))?>"
    });
});

	$(document).ready(function(){
		
		$('.modal-preview').click(function(e){
			e.preventDefault();
			
			var type = $(this).attr('data-type');
			var reference = $(this).attr('data-href');
			
			preview_modal(e,type,reference);
		});
		
	});
	
	
	$('#save').click(function(e){	
		checkSummernote(e);
	});
</script>

