<?php
	$this->BootstrapComponent->inspinia_create_page_container_start('Edit User');
	echo $this->Form->create('User');
	echo $this->Form->input('id', array('type' => 'hidden'));
	
	$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				array('role', 12, array('template' => 'list', 'label' => 'Role','required'), list_of_roles()),
				array('username', 12,array('type' => 'text','label' => 'Username','value' => $data['User']['username'],'readonly','required'=>false)),
				array('first_name', 12, array('value' => $data['User']['first_name'])),
				array('middle_name', 12, array('value' => $data['User']['middle_name'])),
				array('last_name', 12, array('value' => $data['User']['last_name'])),
				array('old_password', 12,array('type' => 'password','label' => 'Old Password')),
				array('new_password', 12,array('type' => 'password','label' => 'New Password','id' => 'new_password')),
				array('confirm_password', 12,array('type' => 'password','label' => 'Confirm Password', 'id' => 'confirm_password')),	
			)
		)
	));

	$this->BootstrapComponent->inspinia_create_button_line_container_start();
	$this->BootstrapComponent->inspinia_create_submit_button('Update',array('id' => 'update'));
	$this->BootstrapComponent->inspinia_create_link_button('Back to View', array('controller' => 'users', 'action' => 'view_user', $data['User']['id']), array('template' => 'danger'));
	$this->BootstrapComponent->inspinia_create_button_line_container_end();

	echo $this->Form->end();	
	$this->BootstrapComponent->inspinia_create_page_container_end();
?>

<script>
$('#UserOldPassword').on('input',function(){
	old_password = $(this).val();
	
	if(old_password == ''){
		
		$('#UserOldPassword').prop('required',false);
		$('#new_password').prop('required',false);
		$('#confirm_password').prop('required',false)
	}
	else{
		$('#UserOldPassword').prop('required',true);
		$('#new_password').prop('required',true);
		$('#confirm_password').prop('required',true);
	}
});
	$('#update').click(function(e){

		new_password = $('#new_password').val();
		confirm_password = $('#confirm_password').val();
		if(new_password != confirm_password){
			
			e.preventDefault();
			sweet_alert('','New Password and Confirm Password are not the same, try again','warning');
		}
		else{
			$( "#update" ).submit();
		}
	});
</script>