<?php
	$this->BootstrapComponent->inspinia_create_standard_bootstrap_table_new(array(
		'id' => 'system_settings',
		'title' => 'List of Users',
		'class' => 'table-bordered table-hover',
		'column-headers' => array(
		
			$this->Paginator->sort('User.username', 'User Name', array('class' => 'table-header-links')) => array('200px'),
			$this->Paginator->sort('User.last_name', 'Name', array('class' => 'table-header-links')) => array('300px'),
			$this->Paginator->sort('User.role', 'Role', array('class' => 'table-header-links')) => array('100px'),
		),
		'table-settings' => array(
			'Model' => 'User',
			'Controller' => 'users',
			'prefix' => 'hris',
			'action' => '_user',
			// 'include' => array('view', 'add', 'search', 'export_csv', 'export_excel', 'export_pdf'),
			'include' => array('view', 'add', 'search'),
			'search_option' => array(
				'name' => 'text',
				'username' => 'text',
				'role' => 'text',
				'status' => array(
					'Active' => 'Active',
					'Disabled' => 'Disabled'
				)
			),
			'search_option_form_type' => 'GET',
		),
		'table-data' => $user_data,
		'paginator' => $this->Paginator
	));
?>
