<?php

$created_by_whole_name = $project_status['CreatedBy']['first_name'] . ' ' . $project_status['CreatedBy']['middle_name'] . ' ' . $project_status['CreatedBy']['last_name'];
$modified_by_whole_name = $project_status['LastModifiedBy']['first_name'] . ' ' . $project_status['LastModifiedBy']['middle_name'] . ' ' . $project_status['LastModifiedBy']['last_name'];
echo $this->DaiComponent->inspinia_get_page_container_start('View Project Status');
	echo $this->DaiComponent->inspinia_get_left_label_form_view_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				array('Brand', $project_status['ProjectStatus']['name'], 12),
				array('Created By', $created_by_whole_name, 12), 
				array('Last Modified By', $modified_by_whole_name, 12), 
			)
		)
	));
	
	echo $this->element('form.items.button_line', array(
		'id' => $project_status['ProjectStatus']['id'],
		'status' => $project_status['ProjectStatus']['status'],
		'lock_flag' => $project_status['ProjectStatus']['lock_flag'],
		'edit_button' => $this->DaiComponent->inspinia_get_secured_link_button('Edit', array('controller' => 'project_statuses', 'action' => 'edit_project_status', $project_status['ProjectStatus']['id'], 'prefix' => 'bidding', 'bidding' => true), array('template' => 'info')),
		'disable_button' => $this->DaiComponent->inspinia_get_secured_link_button('Disable', array('controller' => 'project_statuses', 'action' => 'disable_project_status', $project_status['ProjectStatus']['id'], 'prefix' => 'bidding', 'bidding' => true), array('template' => 'danger', 'confirm'=>'Do you want to disable this record?', 'title' => 'Disable')),
		'enable_button' => $this->DaiComponent->inspinia_get_secured_link_button('Enable', array('controller' => 'project_statuses', 'action' => 'enable_project_status', $project_status['ProjectStatus']['id'], 'prefix' => 'bidding', 'bidding' => true), array('template' => 'success', 'confirm'=>'Do you want to enable this record?', 'title' => 'Enable')),
		'back_button' => $this->DaiComponent->inspinia_get_secured_link_button('Back', array('controller' => 'project_statuses', 'action' => 'index', 'prefix' => 'bidding', 'bidding' => true), array('template' => 'warning')),
	));
echo $this->DaiComponent->inspinia_get_page_container_end();
?>
	 