$(document).ready(function () {
   

function get_json_searches(search_data){
    $('.kiosk-search-sub-nav-button').empty();
    typewatch(function () {
        $.ajax({
            url: "<?php echo Router::url('/', true); ?>kiosk/kiosk_contents/get_search/"+search_data,
                type: "GET",
                dataType : "json",
                success: function( data ) {

                    var search_contents_list_button = '';
                    var search_contents = '';

                        
                    $.each(data,function(k,v){
                        description = v['TagSearch']['description'];
                        if(description === null){
                            description = "";
                        }else{
                            description = v['TagSearch']['description'];
                        }

                        // console.log(description === null);
                       
                        search_contents_list_button += '<a href="#" class="kiosk-list-button search_contents_button" data-id ='  + v['TagSearch']['id']+'>'+
                                                        '<h1>'+ v['TagSearch']['title'] + '</h1>'+
                                                        '<small class="content-search-list-content">'+
                                                        description+
                                                        '</small>'+
                                                        '</a>';
                    });

                        search_contents = '<div class="row">'+ 
                                                    '<div class="col-md-12">'+ 
                                                        '<div class="kiosk-search-list">'+  
                                                        search_contents_list_button +
                                                        '</div>'+	
                                                    '</div>'+	
                                                '</div>';

                    $('.kiosk-search-json-call-sub-nav').append( 
                        search_contents 
                    );  


                    $('.search_contents_button').click(function(){
                        $('.search').hide();
                        data_id =$(this).attr('data-id');

                        
                        
                        $.getJSON( "<?php echo $this->Html->url(array('controller'=>'kiosk_contents','action'=>'get_search_by_id','prefix' => 'kiosk'))?>/"+data_id, function(data) {
                            console.log(data);
                            if(data['TagSearch']['controller'] == 'announcements'){
                                announcement_id =data['TagSearch']['announcement_id'];
                                get_announcement_content(announcement_id);
                            }
                            else if(data['TagSearch']['controller'] == 'directory_contents'){
                                directory_content_id =data['TagSearch']['directory_content_id'];
                                get_directory_content(directory_content_id);
                            }
                            else if(data['TagSearch']['controller'] == 'forms'){
                                forms_id =data['TagSearch']['forms_id'];
                                get_form_content(forms_id);
                            }
                            else if(data['TagSearch']['controller'] == 'laws_and_policies_contents'){
                                laws_and_policies_contents_id =data['TagSearch']['laws_and_policies_contents_id'];    
                                get_laws_and_policies_content(laws_and_policies_contents_id);
                            }
                            else if(data['TagSearch']['controller'] == 'services_contents'){
                                services_content_id =data['TagSearch']['services_content_id'];
                                get_services_content(services_content_id);
                            }
                            else if(data['TagSearch']['controller'] == 'about_us_contents'){
                                about_us_content_id =data['TagSearch']['about_us_content_id'];
                                get_about_us_content(about_us_content_id);
                            }
                            else if(data['TagSearch']['controller'] == 'activities'){
                                activity_content_id =data['TagSearch']['activities_id'];
                                get_activity_content(activity_content_id);
                            }
                        });
                    });
            },
            error: function( xhr, status, errorThrown ) {
                console.log( "Error: " + errorThrown );
                console.log( "Status: " + status );
                console.dir( xhr );
            }
        }).always(function(){	
        });
    }, 2000);
}

function get_announcement_content(announcement_id){
    $('.announcement, .kiosk-announcement-content-sub-nav' ).show().addClass('animated bounceIn');
            
    $('.kiosk-announcement-content-sub-content').empty();
    
    $('.kiosk-announcement-content-sub-nav').hide();
    
    $('.kiosk-announcement-json-call-content').show();

    $.getJSON( "<?php echo $this->Html->url(array('controller'=>'kiosk_contents','action'=>'get_announcement_by_id','prefix' => 'kiosk'))?>/"+announcement_id, function(data) {

        var image_url = "<?php echo $this->base;?>"  + data['Announcement']['banner_path'];
        $('.kiosk-announcement-content-sub-content').append(
            '<a href="#" class="btn-content-back-button btn_back_announcements">BACK</a>'+
                '<div class = "kiosk-content-body animated bounceIn">' +
                    '<div class="scroll_content_announcement text-white">' +
                        '<img alt="image" class="img-responsive image-center" src="'+image_url+'">'+
                        '<h1>' + data['Announcement']['title']+'</h1><hr>'+
                        data['Announcement']['description']+
                    '</div>' +
                '</div>'
        );
        
        $('.kiosk-content-body').slimscroll({
                height: '1350px'
        });
        
        $('.btn_back_announcements').click(function(){
            get_json_announcements();
            $('.kiosk-announcement-content-sub-nav').show();
            $('.kiosk-announcement-json-call-content').hide();
        });

    });
}

function get_directory_content(directory_content_id){
    $('.directory, .kiosk-directory-content-sub-nav' ).show().addClass('animated bounceIn');

	// map.destroy();
     $('.kiosk-directory-content-sub-content').empty();
     $('.kiosk-directory-content-sub-nav').hide();
     $('.kiosk-directory-json-call-content').show();
    
     $.getJSON( "<?php echo $this->Html->url(array('controller'=>'kiosk_contents','action'=>'get_directory_by_id','prefix' => 'kiosk'))?>/"+directory_content_id, function(data) {
                            
            var image_url = "<?php echo $this->base;?>"  + data['DirectoryContent']['file_path'];

            var office_in_charge = data['DirectoryContent']['officer_in_charge'];
            if(typeof office_in_charge === "undefined"){
                office_in_charge = "N/A";
            }else{
                office_in_charge = data['DirectoryContent']['officer_in_charge'];
            }
            
            $('.kiosk-directory-content-sub-content').append(
                '<a href="#" class="btn-content-back-button btn_back_directories">BACK</a>'+
                    '<div class = "kiosk-content-body animated bounceIn">' +
                        '<div class="scroll_content_announcement text-white">' +
                            '<h1>Regional Office: ' + data['DirectoryContent']['regional_office_name']+'</h1>'+
                            '<h1>Office Address: ' + data['DirectoryContent']['office_address']+'</h1>'+
                            '<h1>Contact Number: ' + data['DirectoryContent']['contact_number']+'</h1>'+
                            '<h1>Officer in Charge: ' + office_in_charge +'</h1>'+
                            '<img alt="image" class="img-responsive image-center" src="'+image_url+'">'+

                        '</div>' +
                    '</div>'
            );
            
            $('.kiosk-content-body').slimscroll({
                    height: '1350px'
            });
            
            $('.btn_back_directories').click(function(){
                get_json_directories();
                $('.kiosk-directory-content-sub-nav').show();
                $('.kiosk-directory-json-call-content').hide();
            });
    });
}

function get_form_content(forms_id){
    $('.forms, .kiosk-content-sub-nav-form').show().addClass('animated bounceIn');
    $('.kiosk-form-content-sub-content').empty();
    $('.kiosk-content-sub-nav-form').hide();
    $('.kiosk-form-content-sub-content').show();

    $.getJSON( "<?php echo $this->Html->url(array('controller'=>'kiosk_contents','action'=>'get_forms_by_id','prefix' => 'kiosk'))?>/"+forms_id, function(form_data) {
            list = '';
            forms = '';
            if(form_data['Form'] != ''){
                
                // list += '<li class = "text-white form-list"  form-data-id = ' +form_data['Form']['id'] +' data-toggle="modal" data-target="#attachment_viewer" data-src="'+form_data['Form']['form_path']+'" onclick="get_pdf_viewer(this)">' + form_data['Form']['form_name'] + '</li>';

                list += '<div class="col-xs-3 text-center"><button class="kiosk-sub-nav-button" data-toggle="modal" data-target="#attachment_viewer" data-src="'+form_data['Form']['form_path']+'" onclick="get_pdf_viewer(this)"> <i class="fa fa-file"> </i></button><p class="kiosk-sub-nav-button-title">' + form_data['Form']['form_name'] + '</p></div>';
                
                forms = '<div >' +
                            '<h1 class = "text-white"> Attachment </h1><hr>'+
                            // '<div class = "">' +
                                // '<ul class="forms">' +
                                    list +
                                // '</ul>' + 
                            // '</div>' +
                        '</div>';
            }
            
            text_content = '';
            list_attachment = '';
            form_attachement = '';
            if(form_data['FormAttachment'] != ''){
                $.each(form_data['FormAttachment'],function(k,v){
                    if(v['text_content'] != null){
                        text_content = v['text_content'];
                    }
                    else{
                        list_attachment += '<li class = "text-white form-list"  form-data-id = ' +v['id'] +'>' + v['file_name'] + '</li>';
                    }
                })
                
                form_attachement = '<div >' +
                            '<h1 class = "text-white"> Application Procedure Contents and Attachments </h1><hr>'+
                            '<div class = "text-white">' +
                                text_content +
                                '<ul class="forms">' +
                                    list_attachment +
                                '</ul>' + 
                            '</div>' +
                        '</div>';
            }
            
            $('.kiosk-form-content-sub-content').append(
                '<a href="#" class="btn-content-back-button btn_back_forms">BACK</a>'+
                '<div class = "kiosk-form-content-padding text-white">' +
                    '<h1>' + form_data['Form']['application_form_name']+'</h1><hr>'+
                            form_data['Form']['application_form_contents'] +
                            
                                form_attachement + 
                                forms + 
                    
                '</div>'
            );

           
            $('.kiosk-form-content-padding').slimscroll({
                    height: '1350px'
            });

            $('.btn_back_forms').click(function(){
                get_json_forms();
                $('.kiosk-content-sub-nav-form').show();
                $('.kiosk-form-content-sub-content').hide();
            });
            
    });

}

function get_laws_and_policies_content(laws_and_policies_contents_id){
    $('.laws-and-policies, .kiosk-laws-and-policies-content-sub-nav').show().addClass('animated bounceIn');
    $('.kiosk-laws-and-policies-content-sub-content').empty();
    $('.kiosk-laws-and-policies-content-sub-nav').hide();
    $('.kiosk-laws-and-policies-json-call-content').show();

    $.getJSON( "<?php echo $this->Html->url(array('controller'=>'kiosk_contents','action'=>'get_laws_and_policies_by_id','prefix' => 'kiosk'))?>/"+laws_and_policies_contents_id, function(data) {
                            
            attachment = '';
            if(data['LawsAndPoliciesContentAttachment'].length > 0){
                $.each(data['LawsAndPoliciesContentAttachment'],function(k,v){
                    
                    attachment +=  '<div class="col-xs-3 text-center"><button class="kiosk-sub-nav-button" data-toggle="modal" data-target="#attachment_viewer" data-src="'+v['file_path']+'" onclick="get_pdf_viewer(this)"> <i class="fa fa-file"> </i></button><p class="kiosk-sub-nav-button-title"> '+v['file_name']+'</p></div>';
                    
                })
                
            }
            console.log(data);
            $('.kiosk-laws-and-policies-content-sub-content').append(
                '<a href="#" class="btn-content-back-button btn_back_laws_and_policies ">BACK</a>'+
                    '<div class = "kiosk-content-body animated bounceIn">' +
                        '<div class="scroll_content_announcement text-white">' +
                            '<h1>' + data['LawsAndPoliciesContent']['title'] +'</h1>'+
                            data['LawsAndPoliciesContent']['description'] + 
                            '<h1>Attachment</h1><hr>'+
                            
                                attachment +
                        '</div>' +
                    '</div>'
            );
            
            $('.kiosk-content-body').slimscroll({
                    height: '1350px'
            });
            
            $('.btn_back_laws_and_policies').click(function(){
                get_json_laws_and_policies();
                $('.kiosk-laws-and-policies-content-sub-nav').show();
                $('.kiosk-laws-and-policies-json-call-content').hide();
            });
    });

}

function get_services_content(services_content_id){
    $('.services,.kiosk-content-sub-nav').show().addClass('animated bounceIn');
    $('.kiosk-content-sub-content').empty();
    $('.kiosk-content-sub-nav').hide();
    $('.kiosk-content-sub-content').show();

    $.getJSON( "<?php echo $this->Html->url(array('controller'=>'kiosk_contents','action'=>'get_services_by_id','prefix' => 'kiosk'))?>/"+services_content_id, function(data) {

            list = '';
            forms = '';
            if(data['Form'] != ''){
                $.each(data['Form'],function(k,v){
                    list += '<div class="col-xs-3 text-center">' +
                
                        '<button class = "kiosk-services-forms-button" form-data-id = ' + v['id'] + '> <i class="fa fa-file"> </i></button></br>' +
                        '<p>' + v['application_form_name'] + '</p>' +
                    '</div>';
                });
                forms = '<div class = "form-title-services">' +
                            '<div class = "text-center">' + 
                                '<h1 class = "text-white"> Forms </h1><hr>'+
                            '</div>' +
                            '<div class = "form-content-services">' +
                                    list +
                            '</div>' +
                        '</div>';
            }
        
            $('.kiosk-content-sub-content').append(
                '<a href="#" class="btn-content-back-button btn_back_services">BACK</a>'+
                '<div class = "kiosk-content-services-body">' +
                    '<div class="text-white text-center">' +
                        '<h1>' + data['ServicesContent']['title']+'</h1><hr>'+
                    '</div>' +
                    '<div class="text-white kiosk-content-services-description">' +
                        data['ServicesContent']['description'] +
                    '</div>' +
                    '<div class="text-white ">' +
                    forms +
                    '</div>' +
                '</div>'
            );
            
            $('.kiosk-content-services-body').slimscroll({
                    height: '1350px'
            });
            
            $('.kiosk-services-forms-button').click(function(){
                $('.services').hide();
                form_data_id =$(this).attr('form-data-id');
                get_form_content(form_data_id);
            });

            $('.btn_back_services').click(function(){
                get_json_services();
                $('.kiosk-content-sub-nav').show();
                $('.kiosk-content-sub-content').hide();
            });
    });
}

function get_about_us_content(about_us_content_id){
    $('.about-us,.kiosk-content-sub-nav').show().addClass('animated bounceIn');
    $('.kiosk-content-sub-content').empty();
    $('.kiosk-content-sub-nav').hide();
    $('.kiosk-content-sub-content').show();
    
    $.getJSON( "<?php echo $this->Html->url(array('controller'=>'kiosk_contents','action'=>'get_about_by_id','prefix' => 'kiosk'))?>/"+about_us_content_id, function(data) {
            
            var image_url = "<?php echo $this->base;?>"  + data['AboutUsContent']['banner_path'];
                            
            
            $('.kiosk-content-sub-content').append(
               
                '<a href="#" class="btn-content-back-button btn_back_about_us">BACK</a>'+
                '<div class = "kiosk-content-about-us-body">' +
                    '<div class="text-white text-center">' +
                        '<h1>' + data['AboutUsContent']['title']+'</h1><hr>'+
                        '<img alt="image" class="img-responsive image-center" src="'+image_url+'"><br>'+
                    '</div>' +
                    '<div class="text-white kiosk-content-about-us-description">' +
                        data['AboutUsContent']['description'] +
                    '</div>' +
                '</div>'
            );
            
            $('.kiosk-content-about-us-body').slimscroll({
                    height: '1350px'
            });

            $('.btn_back_about_us').click(function(){
                get_json_about();
                $('.kiosk-content-sub-nav').show();
                $('.kiosk-content-sub-content').hide();
            });
    });
}

function get_activity_content(activity_content_id){
    $('.activity, .kiosk-activity-content-sub-nav ').show().addClass('animated bounceIn');
    $('.kiosk-activity-content-sub-content').empty();
    $('.kiosk-activity-content-sub-nav').hide();
    $('.kiosk-activity-calendar-content').hide();
    $('.kiosk-activity-json-call-content').show();
    
    $.getJSON( "<?php echo $this->Html->url(array('controller'=>'kiosk_contents','action'=>'kiosk_get_activity_by_id','prefix' => 'kiosk'))?>/"+activity_content_id, function(data) {
        var image_url = "<?php echo $this->base;?>"  + data['Activity']['banner_path'];
        $('.kiosk-activity-content-sub-content').append(
            '<a href="#" class="btn-content-back-button btn_back_activity">BACK</a>'+
                '<div class = "kiosk-content-body animated bounceIn">' +
                    '<div class="scroll_content_activity text-white">' +
                        '<img alt="image" class="img-responsive image-center" src="'+image_url+'">'+
                        '<h1>' + data['Activity']['title']+'</h1><hr>'+
                        data['Activity']['description']+
                    '</div>' +
                '</div>'
        );
        
        $('.kiosk-content-body').slimscroll({
                height: '1350px'
        });
        
        $('.btn_back_activity').click(function(){
            get_json_activities();
            $('.kiosk-activity-content-sub-nav').show();
            $('.kiosk-activity-json-call-content').hide();
        });

    });
                
}

function get_activity_content_calendar(){
    $('.kiosk-activity-content-sub-nav').hide();
    $('.kiosk-activity-json-call-content').hide();
    $('.kiosk-activity-calendar-content').show();
    
    var activity_data = [];
    $.getJSON( "<?php echo $this->Html->url(array('controller'=>'kiosk_contents','action'=>'kiosk_get_activity_calendar','prefix' => 'kiosk'))?>", function(data) {

        $.each(data, function (i, v) {
            activity_data.push({
                title: v.title,
                start: v.start,
                end: v.end,

            });
        })
    
        $('#kiosk-activity-calendar').fullCalendar({
            header: {
                left: 'title',
                right: 'prev,next,month,agendaWeek,agendaDay'
            },
            dayClick: function (date, allDay, jsEvent, view) {  
            }, 
            displayEventTime: true,
            editable: false,
            droppable: false,
            events:activity_data,
            eventAfterAllRender: function(view){
                $('.fc-scroller').css('height','auto');
                                
            },
        });

        $('.fc-month-button').html('Month');
        $('.fc-agendaWeek-button').html('Week');
        $('.fc-agendaDay-button').html('Day');

    });	
}


});
