<?php
class DaiAuditTrail2Behavior extends ModelBehavior {
	public function update_model_details(&$model, $model_name, $controller_name, $action_name, $event, $description = null) {
		$model->audit_model = $model_name;
		$model->audit_controller = $controller_name;
		$model->audit_action = $action_name;
		$model->audit_event = $event;
		$model->audit_description = $description;
		$model->audit_isset = true;
	}
	
	public function attach_model(&$model, $attached_model_name = 'DaiAuditTrailCallback') {
		if($model->audit_isset) {
			$model->Behaviors->attach($attached_model_name);
		}
	}
}
?>