<?php
	class HomeController  extends AppController {

        public function bidding_index() {
			
			$this->loadModel('User');
			
			$user_data = $this->User->select_user_with_id($_SESSION['Auth']['User']['id']);
			if ($this->request->is('post') || $this->request->is('put')) {
				$this->request->data['User']['id'] = $_SESSION['Auth']['User']['id'];
				
				if($this->request->data['User']['eula_status'] == 1){
					$this->request->data['User']['eula_status'] = 'Yes';
				}
				
				if($this->User->update_user($this->request->data)){
					return $this->redirect(array('controller' => 'home', 'action' => 'index', 'bidding' => true));
				}
				else{
					return $this->redirect(array('controller' => 'user', 'action' => 'logout', 'bidding' => true));
				}
			}
			
			$this->set('eula_status', $user_data);

		}

		public function isAuthorized($user) {
			if(isset($user['id'])){
				return $this->DaiSecurity->check_user_privileges($user, $this->params['controller'], $this->params['action']);
			}
			else {
				return false;
			}
		}
    }
?>