<?php
class LoginController extends AppController {

	public function bidding_index() {
		
		if ($this->request->is('post') || $this->request->is('put')) {
			
			if ($this->Auth->login()) {
				
				if ($this->Auth->user('status') == 'Active') {						
					$this->Session->write('Login.state', 'Logged In');
					return $this->redirect(array('controller' => 'home', 'action' => 'index', 'bidding' => true));
				}
				else if($this->Auth->user('status') == 'Disabled') {
					$this->Alert->display('failed_account_disabled');
					$this->Auth->logout();
				}
			}
			else {
				$this->Session->setFlash('Invalid Username or Password.', 'flash_custom', array('class' => 'myclass'));
				
				return $this->redirect(array('controller' => 'login', 'action' => 'index', 'bidding' => true));
			}
		}
		else {
			if($this->Auth->user('status') != null) {
				$this->Auth->logout();
				$this->Session->destroy();
				return $this->redirect(array('controller' => 'login', 'action' => 'index', 'bidding' => true));
			}
		}
	}
	
	public function beforeFilter() {
		parent::beforeFilter();
		$this->Auth->allow('er_index');
	}
}
?>