<?php
	class TicketsController extends AppController {
		
		public function bidding_index(){
			$this->search_ticket();
		}
		
		
		private function search_ticket($submitted_conditions = array(), $report_type = '', $report_format = ''){
			// $this->get_dropdowns();
			$default_conditions = array(
				'Ticket.status' => 'Active'
			);
			// $default_order = 'IecNewsletter.publish_date desc';
			
			if(isset($this->request['url']['sort']) && $this->request['url']['direction']) {
				$default_order = $this->request['url']['sort'] . ' ' . $this->request['url']['direction'];
			}
			
			
			if(isset($report_type) && $report_type == 'Basic Reports') {
			
			}
			else {
				$this->Paginator->settings=array(
					
					'conditions' => $default_conditions,
				);

				$ticket_data = $this->Paginator->paginate('Ticket');
				
				$ticket_data = reorder(array(
					'fields' => array(
						'Ticket.id',
						'Ticket.ticket_number',
						'Ticket.support_type',
						'Ticket.contact_name',
						'Ticket.company_name',
						'Ticket.ticket_status',
					),
					'data' => $ticket_data
				));
		
			}
			if(!$ticket_data){
				$this->Alert->display('no_records_found');
			}
			$this->set('data', $ticket_data); 
		}
		
		
		public function bidding_view_ticket($id = null){
			// $this->get_dropdowns();
			
			$ticket_data = $this->Ticket->select_ticket_with_id($id);
			$ticket_data_all_history = $this->Ticket->find_all_ticket_history($ticket_data['Ticket']['ticket_number']);
		
			$this->set('ticket_data_all_history',$ticket_data_all_history);
			$this->set('data',$ticket_data);
				
		}
		
		
		public function bidding_close_ticket($id = null){
			$ticket_data = $this->Ticket->select_ticket_with_id($id);
			// debug($ticket_data);
			// exit();
			
			$ticket_data['Ticket']['ticket_status'] = 'Closed';
			$ticket_data['TicketHistory'][0] = $ticket_data['Ticket'];
			unset($ticket_data['TicketHistory']['id']);

			// $this->Model->saveAssociated($ticket_data, array('deep' => true));
			
			debug($ticket_data);
			exit();

			if($this->Ticket->close_ticket($id)){
				$this->Alert->display('success_ticket_close');
				return $this->redirect(array('controller' => 'tickets', 'action' => 'index', 'prefix' => 'bidding', 'bidding' => true));
			}
			else{
				$this->Alert->display('failed_ticket_close');
			}
		}

		
		function beforeFilter(){
			parent::beforeFilter();
		}

	}
?>