<?php

$created_by_whole_name = $agency['CreatedBy']['first_name'] . ' ' . $agency['CreatedBy']['middle_name'] . ' ' . $agency['CreatedBy']['last_name'];
$modified_by_whole_name = $agency['LastModifiedBy']['first_name'] . ' ' . $agency['LastModifiedBy']['middle_name'] . ' ' . $agency['LastModifiedBy']['last_name'];
echo $this->DaiComponent->inspinia_get_page_container_start('View Agency');
	echo $this->DaiComponent->inspinia_get_left_label_form_view_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				array('Agency Name', $agency['Agency']['name'], 12),
				array('Address', $agency['Agency']['address'], 12),
				array('Contact Person', $agency['Agency']['contact_person'], 12),
				array('Contact No', $agency['Agency']['contact_no'], 12),
				array('Email Address', $agency['Agency']['email_address'], 12),
				array('Remarks', $agency['Agency']['remarks'], 12),
				array('Created By', $created_by_whole_name, 12), 
				array('Last Modified By', $modified_by_whole_name, 12),
			)
		)
	));
	
	echo $this->element('form.items.button_line', array(
		'id' => $agency['Agency']['id'],
		'status' => $agency['Agency']['status'],
		'lock_flag' => $agency['Agency']['lock_flag'],
		'edit_button' => $this->DaiComponent->inspinia_get_secured_link_button('Edit', array('controller' => 'agencies', 'action' => 'edit_agency', $agency['Agency']['id'], 'prefix' => 'bidding', 'bidding' => true), array('template' => 'info')),
		'disable_button' => $this->DaiComponent->inspinia_get_secured_link_button('Disable', array('controller' => 'agencies', 'action' => 'disable_agency', $agency['Agency']['id'], 'prefix' => 'bidding', 'bidding' => true), array('template' => 'danger', 'confirm'=>'Do you want to disable this record?', 'title' => 'Disable')),
		'enable_button' => $this->DaiComponent->inspinia_get_secured_link_button('Enable', array('controller' => 'agencies', 'action' => 'enable_agency', $agency['Agency']['id'], 'prefix' => 'bidding', 'bidding' => true), array('template' => 'success', 'confirm'=>'Do you want to enable this record?', 'title' => 'Enable')),
		'back_button' => $this->DaiComponent->inspinia_get_secured_link_button('Back', array('controller' => 'agencies', 'action' => 'index', 'prefix' => 'bidding', 'bidding' => true), array('template' => 'warning')),
	));
echo $this->DaiComponent->inspinia_get_page_container_end();
	
	$expoloded_agency_name = explode(" ",$agency['Agency']['name']);
	$imploded_agency_name = implode("+",$expoloded_agency_name);
	// debug($expoloded_agency_name);
	// debug($imploded_agency_name);
	// exit();
	// ?agency_name_operator=has&agency_name_value=Department+of+Finance
	$item_search = Configure::read('BASE_URL') .'/bidding/projects/item_report_index?agency_name_operator=exactly&agency_name_value='. $imploded_agency_name;
	echo '<a href = '. $item_search . ' target = "_blank">Looking for Items? Click this to Go to Item Search</a>';	
	echo $this->DaiComponent->inspinia_get_view_all_page(array(
		'id' => 'projects',
		'title' => 'Projects',
		'class' => 'table-bordered table-hover',
		'column-headers' => array(
			// $this->Paginator->sort('Agency.name', 'Agency Name', array('class' => 'table-header-links')) => array('300px'),
			$this->Paginator->sort('Project.name', 'Project Name', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Project.deadline_of_submission', 'Deadline of Submission', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Project.pre_bidding_date', 'Pre-Bidding Date', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Project.target_delivery_date', 'Target Delivery Date', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('ProjectStatus.name', 'Project Status', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Project.name_of_company_won', 'Name of Company Won', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Project.lock_flag', 'Locked', array('class' => 'table-header-links')) => array('100px', 'center'),
			$this->Paginator->sort('Project.status_name', 'Status', array('class' => 'table-header-links')) => array('100px', 'center'),
		),
		'table-settings' => array(
			'model' => 'Project',
			'controller' => 'projects',
			'prefix' => 'bidding',
			'action' => 'project',
			'include' => array('view', 'add', 'search', 'export_excel'),
			'include_controls' => array(
				'edit' => array(
					'label' => '<i class="fa fa-pencil-square-o sm-icon icon-padding" aria-hidden="true"></i>',
					'url' => array('controller' => 'projects', 'action' => 'edit_project', 'prefix' => 'bidding', 'bidding' => true),
					'use_as_params' => array('Project.id'),
					'link_params' => array('class' => 'yellow-link', 'confirm'=>'Do you want to edit this record?', 'title' => 'Edit'),
					'on' => array(
						'Project.lock_flag_name' => 'No'
					)
				),
				'enable' => array(
					'label' => '<i class="fa fa-toggle-off sm-icon icon-padding" aria-hidden="true"></i>',
					'url' => array('controller' => 'projects', 'action' => 'enable_project', 'prefix' => 'bidding', 'bidding' => true),
					'use_as_params' => array('Project.id'),
					'link_params' => array('class' => 'red-link', 'confirm'=>'Do you want to enable this record?', 'title' => 'Enable'),
					'on' => array(
						'Project.status_name' => 'Disabled'
					)
				),
				'disable' => array(
					'label' => '<i class="fa fa-toggle-on sm-icon icon-padding" aria-hidden="true"></i>',
					'url' => array('controller' => 'projects', 'action' => 'disable_project', 'prefix' => 'bidding', 'bidding' => true),
					'use_as_params' => array('Project.id'),
					'link_params' => array('class' => 'blue-link', 'confirm'=>'Do you want to disable this record?', 'title' => 'Disable'),
					'on' => array(
						'Project.status_name' => 'Enabled'
					)
				),
				'delete' => array(
					'label' => '<i class="fa fa-trash sm-icon icon-padding" aria-hidden="true"></i>',
					'url' => array('controller' => 'projects', 'action' => 'delete_project', 'prefix' => 'bidding', 'bidding' => true),
					'use_as_params' => array('Project.id'),
					'link_params' => array('class' => 'red-link', 'confirm'=>'Do you want to delete this record?', 'title' => 'Delete'),
					'on' => array(
						'Project.lock_flag_name' => 'No'
					)
				)
			),
			'search_options' => array(
				// 'agency_name' => 'text_comparison',
				'project_name' => 'text_comparison',
				'deadline_of_submission' => 'date_range',
				'pre_bidding_date' => 'date_range',
				'target_delivery_date' => 'date_range',
				'project_status' => $project_status_list,
				'name_of_company_won' => 'text_comparison',
				'status' => Configure::read('STATUS'),
			),
			'search_options_form_type' => 'GET',
		),
		'table-data' => $project_list,
		'paginator' => $this->Paginator
	));
	
echo $this->DaiComponent->inspinia_get_page_container_end();
?>
<script>
	 $('#projects tr').each(function() {
		if($(this).find("td a").eq(5).html() == 'DAI') {
		// $(this).attr('style','background-color:#ECFFCA;');
		$(this).addClass("dai-won")
	}
	});
</script>