<?php
	// debug($item_report_data);
	// exit();
	echo $this->DaiComponent->inspinia_get_view_all_page(array(
		'id' => 'ItemReport',
		'title' => 'Item Report',
		'class' => 'table-bordered table-hover',
		'column-headers' => array(
			$this->Paginator->sort('Item.brand', 'Brand', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Item.description', 'Description', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Item.unit_of_measurement', 'Unit of Measurement', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Proposal.quantity', 'Quantity', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Proposal.unit_price', 'Unit Price', array('class' => 'table-header-links')) => array('100px', 'center'),
			$this->Paginator->sort('Proposal.total', 'Total', array('class' => 'table-header-links')) => array('100px', 'center'),
			$this->Paginator->sort('Agency.name', 'Agency Name', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Project.name', 'Project Name', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Project.project_status_id', 'Project Status', array('class' => 'table-header-links')) => array('150px'),
		),
		'table-settings' => array(
			'model' => 'Proposal',
			'controller' => 'projects',
			'prefix' => 'bidding',
			'action' => 'item_report',
			// 'include' => array('search', 'export_excel','view' => array('controller' => 'projects', 'action' => 'view_project', 'prefix' => '')),
			'include' => array('search', 'export_excel','view'),
			'search_options' => array(
				'brand' => 'text',
				'description' => 'text',
				'unit_of_measurement' => 'text',
				'quantity' => 'number',
				'unit_price' => 'number',
				'total' => 'number',	
				'agency_name' => 'text',
				'project_name' => 'text',
				'project_status' => $project_status_list,
			),
			'search_options_form_type' => 'GET',
		),
		'table-data' => $item_report_data,
		'paginator' => $this->Paginator
	));
?>\