<?php

// debug($item);
// exit();

$created_by_whole_name = $item['CreatedBy']['first_name'] . ' ' . $item['CreatedBy']['middle_name'] . ' ' . $item['CreatedBy']['last_name'];
$modified_by_whole_name = $item['LastModifiedBy']['first_name'] . ' ' . $item['LastModifiedBy']['middle_name'] . ' ' . $item['LastModifiedBy']['last_name'];
echo $this->DaiComponent->inspinia_get_page_container_start('View Item');
	echo $this->DaiComponent->inspinia_get_left_label_form_view_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				array('Brand', $item['Item']['brand'], 12),
				array('Description', $item['Item']['description'], 12),
				array('Unit of Measurement', $item['Item']['unit_of_measurement'], 12), 
				array('Created By', $created_by_whole_name, 12), 
				array('Last Modified By', $modified_by_whole_name, 12), 
			)
		)
	));
	
	echo $this->element('form.items.button_line', array(
		'id' => $item['Item']['id'],
		'status' => $item['Item']['status'],
		'lock_flag' => $item['Item']['lock_flag'],
		'edit_button' => $this->DaiComponent->inspinia_get_secured_link_button('Edit', array('controller' => 'items', 'action' => 'edit_item', $item['Item']['id'], 'prefix' => 'bidding', 'bidding' => true), array('template' => 'info')),
		'disable_button' => $this->DaiComponent->inspinia_get_secured_link_button('Disable', array('controller' => 'items', 'action' => 'disable_item', $item['Item']['id'], 'prefix' => 'bidding', 'bidding' => true), array('template' => 'danger', 'confirm'=>'Do you want to disable this record?', 'title' => 'Disable')),
		'enable_button' => $this->DaiComponent->inspinia_get_secured_link_button('Enable', array('controller' => 'items', 'action' => 'enable_item', $item['Item']['id'], 'prefix' => 'bidding', 'bidding' => true), array('template' => 'success', 'confirm'=>'Do you want to enable this record?', 'title' => 'Enable')),
		'back_button' => $this->DaiComponent->inspinia_get_secured_link_button('Back', array('controller' => 'items', 'action' => 'index', 'prefix' => 'bidding', 'bidding' => true), array('template' => 'warning')),
	));
echo $this->DaiComponent->inspinia_get_page_container_end();
?>
	 