<?php
	echo $this->DaiComponent->inspinia_get_view_all_page(array(
		'id' => 'project_statuses',
		'title' => 'Project Statuses',
		'class' => 'table-bordered table-hover',
		'column-headers' => array(
			$this->Paginator->sort('ProjectStatus.name', 'Name', array('class' => 'table-header-links')) => array('200px'),
			$this->Paginator->sort('ProjectStatus.lock_flag', 'Locked', array('class' => 'table-header-links')) => array('100px', 'center'),
			$this->Paginator->sort('ProjectStatus.status_name', 'Status', array('class' => 'table-header-links')) => array('100px', 'center'),
		),
		'table-settings' => array(
			'model' => 'ProjectStatus',
			'controller' => 'project_statuses',
			'prefix' => 'bidding',
			'action' => 'project_status',
			'include' => array('view', 'add', 'search', 'export_excel'),
			'include_controls' => array(
				'edit' => array(
					'label' => '<i class="fa fa-pencil-square-o sm-icon icon-padding" aria-hidden="true"></i>',
					'url' => array('controller' => 'project_statuses', 'action' => 'edit_project_status', 'prefix' => 'bidding', 'bidding' => true),
					'use_as_params' => array('ProjectStatus.id'),
					'link_params' => array('class' => 'yellow-link', 'confirm'=>'Do you want to edit this record?', 'title' => 'Edit'),
					'on' => array(
						'ProjectStatus.lock_flag_name' => 'No'
					)
				),
				'enable' => array(
					'label' => '<i class="fa fa-toggle-off sm-icon icon-padding" aria-hidden="true"></i>',
					'url' => array('controller' => 'project_statuses', 'action' => 'enable_project_status', 'prefix' => 'bidding', 'bidding' => true),
					'use_as_params' => array('ProjectStatus.id'),
					'link_params' => array('class' => 'red-link', 'confirm'=>'Do you want to enable this record?', 'title' => 'Enable'),
					'on' => array(
						'ProjectStatus.status_name' => 'Disabled'
					)
				),
				'disable' => array(
					'label' => '<i class="fa fa-toggle-on sm-icon icon-padding" aria-hidden="true"></i>',
					'url' => array('controller' => 'project_statuses', 'action' => 'disable_project_status', 'prefix' => 'bidding', 'bidding' => true),
					'use_as_params' => array('ProjectStatus.id'),
					'link_params' => array('class' => 'blue-link', 'confirm'=>'Do you want to disable this record?', 'title' => 'Disable'),
					'on' => array(
						'ProjectStatus.status_name' => 'Enabled'
					)
				),
				'delete' => array(
					'label' => '<i class="fa fa-trash sm-icon icon-padding" aria-hidden="true"></i>',
					'url' => array('controller' => 'project_statuses', 'action' => 'delete_project_status', 'prefix' => 'bidding', 'bidding' => true),
					'use_as_params' => array('ProjectStatus.id'),
					'link_params' => array('class' => 'red-link', 'confirm'=>'Do you want to delete this record?', 'title' => 'Delete'),
					'on' => array(
						'ProjectStatus.lock_flag_name' => 'No'
					)
				)
			),
			'search_options' => array(
				'name' => 'text_comparison',
				'locked' => Configure::read('YES_NO_BOOLEAN'),
				'status' => Configure::read('STATUS'),
			),
			'search_options_form_type' => 'GET',
		),
		'table-data' => $project_statuses,
		'paginator' => $this->Paginator
	));
?>