<?php
	$this->DaiComponent->inspinia_create_page_container_start('Add Project');
		
		echo $this->Form->create('Project',array('enctype' => 'multipart/form-data'));
	
		echo $this->DaiComponent->inspinia_get_left_label_form_input_batch(array(
			array(
				'size' => 12,
				'contents' => array(
					array('agency_id', 12, array('label' => 'Agency','template' => 'flexible_list'), $agency_list, array('controller' => 'agencies', 'action' => 'add_agency', 'prefix' => 'bidding', 'bidding' => true)),
					array('name', 12, array('label' => 'Project Name')),
					array('abc_amount', 12, array('placeholder' => 'ABC', 'type' => 'number')),
					array('dai_amount_offered', 12, array('type' => 'number')),
					array('date_downloaded', 12, array('template' => 'date')),
					array('deadline_of_submission', 12, array('template' => 'date')),
					array('delivery_period', 12, array('template' => 'date')),
					array('requirements', 12),
					array('pre_bidding_date', 12, array('template' => 'date')),
					array('target_delivery_date', 12, array('template' => 'date')),
					array('delivered_on', 12, array('template' => 'date')),
					array('project_status_id', 12, array('label' => 'Status','template' => 'flexible_list'), $project_status_list, array('controller' => 'project_statuses', 'action' => 'add_project_status', 'prefix' => 'bidding', 'bidding' => true)),
					array('', 12, array('template' => 'checkbox_list'), array('won_by_dai' => 'Won By DAI')),
					array('name_of_company_won', 12),
					array('winning_proposal_amount', 12, array('type' => 'number')),
					array('remarks', 12, array('type' => 'textarea')),
				)
			)
		));
		
		$this->DaiComponent->inspinia_create_page_container_start('Proposal');
		echo $this->DaiComponent->inspinia_get_button_line_container_start();
		echo $this->DaiComponent->inspinia_get_button('Click to ADD Item/s', array('class' => 'add_item btn-block', 'data-target' => "#add_item_modal", 'data-toggle' => 'modal', 'template' => 'info'));
		echo $this->DaiComponent->inspinia_get_button_line_container_end();
		
		echo '<div id="selected_items_for_submission">';
			echo $this->DaiComponent->inspinia_get_table_headings(array(
				'id' => 'report',
				'class' => 'table-bordered table-hover',
				'column-headers' => array(
					'Brand' => array('150px'),
					'Description' => array('300px'),
					'Quantity' => array('100px','right'),
					'Unit' => array('150px'),
					'Unit Price' => array('100px','right'),
					'Total' => array('100px', 'right'),
					'Remove' => array('100px', 'center')
				)
			)); 
	 
			$selected_items = ''; 
			if (isset($request_data['Propose'])) { 
				foreach($request_data['Proposal'] as $proposal_item_key => $proposal_item_value) {
					echo '<tr class="proposal_content" id="proposal_content_row_' . $key . '"><td>' 
					. $this->DaiComponent->inspinia_get_form_input('Proposal.' . $key . '.brand', array('label' => false, 'div' => false,  'data-row' => $x, 'class' => 'form-control brand', 'placeholder' => 'Brand', 'required')) 
					.'</td><td>' 
					. $this->DaiComponent->inspinia_get_form_input('Proposal.' . $key . '.description', array('label' => false, 'div' => false,  'data-row' => $x,'class' => 'form-control description', 'placeholder' => 'Description', 'required')) 
					.'</td><td>' 
					. $this->DaiComponent->inspinia_get_form_input('Proposal.' . $key . '.quantity', array('label' => false, 'div' => false,  'data-row' => $x,  'class' => 'form-control quantity text-right', 'placeholder' => 'Quantity', 'required', 'type' => 'number')) 
					.'</td><td>' 
					. $this->DaiComponent->inspinia_get_form_input('Proposal.' . $key . '.unit_of_measurement', array('label' => false, 'div' => false,  'data-row' => $x,'class' => 'form-control unit_of_measurement', 'placeholder' => 'Unit', 'required')) 
					.'</td><td>' 
					. $this->DaiComponent->inspinia_get_form_input('Proposal.' . $key . '.unit_price', array('label' => false, 'div' => false,  'data-row' => $x, 'class' => 'form-control unit_price text-right', 'placeholder' => 'Unit Price', 'required')) 
					.'</td><td>' 
					. $this->DaiComponent->inspinia_get_form_input('Proposal.' . $key . '.total', array('label' => false, 'div' => false,  'data-row' => $x, 'class' => 'form-control total text-right', 'placeholder' => 'Total', 'readonly')) 
					.'</td><td>' . '\')"><i class="fa fa-minus" aria-hidden="true"></i></button>'
					. '</td></tr>';

					$selected_items .= '<tr data-item-id="' . $proposal_item_value['item_id'] . '"><td>' 
					. $proposal_item_value['Item']['brand'] 
					. '</td><td>'
					. $proposal_item_value['Item']['description'] 
					. '</td><td>'
					. $proposal_item_value['Item']['unit_of_measurement']
					. '</td><td>' 
					. '<button type="button" class="btn select_from_searched_item btn-info" onclick="remove_and_return_item_to_selection(\'' . $proposal_item_value['item_id']  . '\', \'' . $proposal_item_value['Item']['brand'] . '\', \'' . $proposal_item_value['Item']['description']. '\',\'' . $proposal_item_value['Item']['unit_of_measurement']  . '\')"><i class="fa fa-minus" aria-hidden="true"></i></button>'
					. '</td></tr>';
				}
			} 
			
			echo $this->DaiComponent->inspinia_get_table_end();
		echo '</div>';
		
		$this->DaiComponent->inspinia_create_page_container_start('Attachment');
		
		echo '<div id="selected_items_for_submission_attachment" class="overflow">';
		echo $this->DaiComponent->inspinia_get_table_headings(array(
			'id' => 'table_attachment_content',
			'class' => 'table-bordered table-hover',
			'column-headers' => array(
				'Attachment' => array('100px'),
				'File Name' => array('150px'),
				// 'Date Uploaded' => array('50px'),
				'Remove' => array('100px', 'center')
			)
		));
		
		if (isset($this->request->data['Attachment']) && count($this->request->data['Attachment']) > 0) {
			foreach($this->request->data['Attachment'] as $key => $value) {
				echo '<tr class="attachment_content" id="attachment_content_row_' . $key . '"><td>' 
				. $this->DaiComponent->inspinia_get_form_input('Attachment.' . $key . '.attachment', array('label' => false, 'div' => false,  'data-row' => $x, 'type' => 'file', 'class' => 'form-control attachment', 'placeholder' => 'Attachment File', 'required')) 
				.'</td><td>'
				. $this->DaiComponent->inspinia_get_form_input('Attachment.' . $key . '.file_name', array('label' => false, 'div' => false, 'data-row' => $x, 'class' => 'form-control file_name' ,'placeholder' => 'File Name'))
				// .'</td><td>'
				// . $this->DaiComponent->inspinia_get_form_input('Attachment.' . $key . '.date_uploaded', array('div' => false, 'data-row' => $x, 'type' => 'text', 'class' => 'form-control datepicker', 'placeholder' => 'mm/dd/yyyy'))
				. '<td class="col-md-2 text-center" onclick="$(\'#attachment_content_row_'  . $x . '\').remove();"><button class="btn btn-xs btn-primary"><i class="fa fa-minus" aria-hidden="true"></i></button>'
				. '</td></tr>';
			} 
		}
 
		
		echo $this->DaiComponent->inspinia_get_table_end();
		echo '</div>';
		
		echo '<div class="row conditional-padding">
				<div class="col-md-12 text-center">
					<button type="button" class="btn btn-primary btn_add_row_attachment_content">Add Row</button>
					<button type="button" class="btn btn-primary btn_delete_row_attachment_content" i>Delete Row</button> ';
				echo '</div>
			</div></br></br>';
		
		echo $this->DaiComponent->inspinia_get_button_line_container_start();
		echo $this->DaiComponent->inspinia_get_submit_button('Save');
		echo $this->DaiComponent->inspinia_get_secured_link_button('Back', array('controller' => 'projects', 'action' => 'index', 'prefix' => 'bidding', 'bidding' => true), array('template' => 'danger'));
		echo $this->DaiComponent->inspinia_get_button_line_container_end();

		echo $this->Form->end();
		
	$this->DaiComponent->inspinia_create_page_container_end();
	
	echo $this->element('modal.search_items', array(
		'id' => 'item_modal',
		'selected_items' => $selected_items,
		'label' => 'Add Item/s',
		'column_headers' => array(
			'Brand' => array('150px'),
			'Description' => array('300px'),
			'Unit' => array('150px'),
			'Select' => array('100px', 'center')
		),
		'close_button_label' => 'Proceed to Fill-up Form'
	));  
?>

<script>

$(document).ready(function() {
	var typewatch = (function() {
	  var timer = 0;
	  return function(callback, ms) {
		clearTimeout (timer);
		timer = setTimeout(callback, ms);
	  };
	})();
	
	$('#add_item_modal').on('shown.bs.modal', function() {
	  $('#search_keyword').focus();
	});

	$('#ProjectWonByDai').change(function(){
		var is_checked = this.checked;
		if(is_checked) {
			$('#ProjectNameOfCompanyWon').attr('readonly','readonly');
			$('#ProjectNameOfCompanyWon').val('DAI');
		}
		else {
			$('#ProjectNameOfCompanyWon').removeAttr('readonly');
			$('#ProjectNameOfCompanyWon').val('');
		}
		
	});
	
	$('#search_keyword').on('input', function() {
		typewatch(function () { 
			trimmed_search_keyword =  $('#search_keyword').val().replace("'","\\'");
			var item_ids = $('input[type=hidden][data-class="item_id"]').map(function() {
				return $(this).val();
			}).get();
			
			$.ajax({
				url: "<?php echo Configure::read('BASE_URL') .'/'. $this->params['prefix'] .'/items/get_items'?>",
				data: { 
					search_keyword: trimmed_search_keyword,
					selected_item_ids: item_ids.join("|")
				},
				type: "POST",
				dataType : "html",
				success: function( results ) { 
					$("#search_results_container table tbody").html(results);
				},
				error: function( xhr, status, errorThrown ) {
					alert( "Sorry, there was a problem!" );
					console.log( "Error: " + errorThrown );
					console.log( "Status: " + status );
					console.dir( xhr );
				}
			});
		}, 500); 
	}); 
	compute();
});

function set_selected_item(item_id,brand, description, unit_of_measurement) {
	item_id = htmlspecialchars(item_id);
	brand = htmlspecialchars(brand);
	description = htmlspecialchars(description);
	unit_of_measurement = htmlspecialchars(unit_of_measurement);
	// requested_quantity = htmlspecialchars(requested_quantity);
	var data_rows = $('input[type=hidden]').map(function() {
		return $(this).data('row');
	}).get();
	
	if(data_rows.length === 0) {
		data_row = 0;
	}
	else {
		data_row = Math.max.apply(Math, data_rows) + 1;
	} 
	 
	$('tr[data-item-id="' + item_id + '"]').remove();
	
	selected_items = '<tr data-item-id="' + item_id + '">';
	selected_items += '<td><span class="brand_container" data-row="' + data_row + '">' + brand + '</span></td>';
	selected_items += '<td><span class="description_container" data-row="' + data_row + '">' + description + '</span></td>';
	selected_items += '<td><span class="unit_of_measurement_container" data-row="' + data_row + '">' + unit_of_measurement + '</span></td>';
	selected_items += '<td><button type="button" class="btn select_from_searched_item btn-info" onclick="remove_and_return_item_to_selection(\'' + item_id + '\',\'' + brand + '\', \'' + description + '\',\'' + unit_of_measurement + '\')"><i class="fa fa-minus" aria-hidden="true"></i></button></td>';
	selected_items += '</tr>';
	 
	selected_items_for_submission = '<tr data-item-id="' + item_id + '">';
	selected_items_for_submission += '<td><input type="hidden" name="data[Proposal][' + data_row + '][item_id]" data-row="' + data_row + '" data-class="item_id" id="Proposal' + data_row + 'ProposalItemId" value="' + item_id + '">';
	selected_items_for_submission += '<div class="input hidden"><input name="data[Proposal][' + data_row + '][brand]" class="form-control brand text-right" placeholder="Brand" data-row="' + data_row + '" type="text" id="Proposal' + data_row + 'Brand" value = "' + brand +'"></div><div class="brand_container" data-row="' + data_row + '">' + brand + '</div></td>'; 
	// selected_items_for_submission += '<td><span class="brand_container" data-row="' + data_row + '">' + brand + '</span></td>';
	selected_items_for_submission += '<td><div class="input hidden"><input name="data[Proposal][' + data_row + '][description]" class="form-control description text-right" placeholder="Description" data-row="' + data_row + '" type="text" id="Proposal' + data_row + 'Description" value = "' + description +'"></div><span class="description" data-row="' + data_row + '">' + description + '</span></td>';
	selected_items_for_submission += '<td><div class="input text"><input name="data[Proposal][' + data_row + '][quantity]" class="form-control quantity text-right" placeholder="Quantity" data-row="' + data_row + '" type="number" id="Proposal' + data_row + 'Quantity"></div></td>'; 
	selected_items_for_submission += '<td><div class="input hidden"><input name="data[Proposal][' + data_row + '][unit_of_measurement]" class="form-control unit_of_measurement text-right" placeholder="Unit Of Measurement" data-row="' + data_row + '" type="text" id="Proposal' + data_row + 'UnitOfMeasurement" value = "' + unit_of_measurement +'"></div><span class="unit_of_measurement" data-row="' + data_row + '">' + unit_of_measurement + '</span></td>';
	selected_items_for_submission += '<td><div class="input text"><input name="data[Proposal][' + data_row + '][unit_price]" class="form-control unit_price text-right" placeholder="Unit Price" data-row="' + data_row + '" type="number" id="Proposal' + data_row + 'UnitPrice"></div></td>'; 
	selected_items_for_submission += '<td><div class="input text"><input name="data[Proposal][' + data_row + '][total]" class="form-control total text-right" placeholder="Total" required="required" data-row="' + data_row + '" type="text" id="Proposal' + data_row + 'Total"></div></td>'; 
	selected_items_for_submission += '<td><button type="button" class="btn select_from_searched_item btn-info" onclick="remove_and_return_item_to_selection(\'' + item_id + '\',\'' + brand + '\', \'' + description + '\',\'' + unit_of_measurement + '\')"><i class="fa fa-minus" aria-hidden="true"></i></button></td></tr>'; 
	
	$('#selected_items .table tbody').append(selected_items); 
	$('#selected_items_for_submission .table tbody').append(selected_items_for_submission);
	 
	compute();
};

function remove_and_return_item_to_selection(item_id,brand, description, unit_of_measurement) {
	item_id = htmlspecialchars(item_id);
	brand = htmlspecialchars(brand);
	description = htmlspecialchars(description);
	unit_of_measurement = htmlspecialchars(unit_of_measurement);
	$('tr[data-item-id="' + item_id + '"]').remove();
	$('#search_results_container .table tbody').append('<tr data-item-id="' + item_id + '"><td>' + brand + '</td><td>' + description + '</td><td>' + unit_of_measurement + '</td><td><button type="button" class="btn select_from_searched_item btn-info" onclick="set_selected_item(\'' + item_id + '\',\'' + brand + '\', \'' + description + '\',\'' + unit_of_measurement + '\')"><i class="fa fa-plus" aria-hidden="true"></i></button></td></tr>');
};	

function compute(){
	$('.quantity').on('input', function(){
		
		var data_row = $(this).attr('data-row');
		var quantity_value = $(this).val();
		var unit_price = $('#Proposal' + $(this).attr('data-row') + 'UnitPrice').val(); 
		var total_value = 0;
		
		if (unit_price == 0 || unit_price == '') {
			unit_price = 0;
		}

		total_value = parseFloat(quantity_value) * parseFloat(unit_price);

		$('#Proposal' + $(this).attr('data-row') + 'Total').val(total_value.toFixed(2));
		
	});
	
	$('.unit_price').on('input', function(){
		
		var data_row = $(this).attr('data-row');
		var unit_price_value = $(this).val();
		var quantity = $('#Proposal' + $(this).attr('data-row') + 'Quantity').val(); 
		var total_value = 0;
		
		if (quantity == 0 || quantity == '') {
			quantity = 0;
		}

		total_value = parseFloat(unit_price_value) * parseFloat(quantity);

		$('#Proposal' + $(this).attr('data-row') + 'Total').val(total_value.toFixed(2));
		
	});
}

$('.btn_delete_row_attachment_content').click(function() { 
	$('.attachment_content:last').remove();
});

$(".btn_add_row_attachment_content").click(function() {
	 
	next_item_no = $('.attachment_content:last input:first').attr('name');
 
	if (typeof next_item_no === "undefined") {
		next_item_no = 0;
	}
	else { 
		next_item_no = next_item_no.replace('data[Attachment]','');
		next_item_no = next_item_no.replace('data[attachment]','');
		next_item_no++;
	}
	 
	$('#table_attachment_content tbody').append('<tr class="attachment_content" id="attachment_content_row_'+ next_item_no +'">'+
	'<td><input type="file" name="data[Attachment]['+ next_item_no +'][attachment]" class="form-control attachment" placeholder="Attachment File" data-row="'+ next_item_no +'" required="required" id="Attachment'+ next_item_no +'Attachment"></td>'+
	'<td><input name="data[Attachment]['+ next_item_no +'][file_name]" data-row="'+ next_item_no +'" class="form-control file_name" placeholder="N/A" type="text" id="Attachment'+ next_item_no +'FileName"></td>' +
	// '<td><input name="data[Attachment]['+ next_item_no +'][date_uploaded]" data-row="'+ next_item_no +'" class="form-control datepicker placeholder="N/A" type="text" id="Attachment'+ next_item_no +'DateUploaded"></td>'+ 
	'<td class="text-center" onclick="$(\'#attachment_content_row_'+ next_item_no +'\').remove();"><button class="btn btn-xs btn-primary"><i class="fa fa-minus" aria-hidden="true"></i></button></td></tr>');
	
	$('.datepicker').datepicker({
	todayBtn: "linked",
	keyboardNavigation: false,
	forceParse: false,
	calendarWeeks: true,
	autoclose: true,
	format: "mm/dd/yyyy"
	});
 
});

// $('#ProjectBiddingAddProjectForm').submit(function(e){
	
// 	html_value = $('#selected_items_for_submission').html();
// 	$('#ProjectItemTable').val(html_value);
// 	e.preventDefault();

// });

</script>


