<?php

	echo $this->DaiComponent->inspinia_get_view_all_page(array(
		'id' => 'ItemReport',
		'title' => 'Item Search',
		'class' => 'table-bordered table-hover',
		'column-headers' => array(
			$this->Paginator->sort('Agency.name', 'Agency Name', array('class' => 'table-header-links')) => array('300px'),
			$this->Paginator->sort('Project.name', 'Project Name', array('class' => 'table-header-links')) => array('250px'),
			$this->Paginator->sort('Project.project_status_id', 'Project Status', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Project.abc_amount', 'ABC Amount', array('class' => 'table-header-links')) => array('150px','right'),
			$this->Paginator->sort('Project.dai_amount_offered', 'DAI Amount Offered', array('class' => 'table-header-links')) => array('150px','right'),
			$this->Paginator->sort('Item.brand', 'Brand', array('class' => 'table-header-links')) => array('250px'),
			$this->Paginator->sort('Item.description', 'Description', array('class' => 'table-header-links')) => array('350px'),
			$this->Paginator->sort('Proposal.quantity', 'Quantity', array('class' => 'table-header-links')) => array('100px', 'right'),
			$this->Paginator->sort('Item.unit_of_measurement', 'Unit', array('class' => 'table-header-links')) => array('150px'),
			$this->Paginator->sort('Proposal.unit_price', 'Unit Price', array('class' => 'table-header-links')) => array('100px', 'right'),
			$this->Paginator->sort('Proposal.total', 'Total', array('class' => 'table-header-links')) => array('100px', 'right'),
		),
		'table-settings' => array(
			'model' => 'Project',
			'controller' => 'projects',
			'prefix' => 'bidding',
			'action' => 'item_report',
			'include' => array('search', 'export_excel','view' => array('url' => array('controller' => 'projects', 'action' => 'view_project', 'prefix' => 'bidding', 'board' => true))),
			// 'include' => array('search', 'export_excel' => 'export_excel_item_report','view' => 'view_project'),
			'search_options' => array(
				'agency_name' => 'text_comparison',
				'project_name' => 'text_comparison',
				'project_status' => $project_status_list,
				'abc_amount' => 'numeric_comparison',
				'dai_amount_offered' => 'numeric_comparison',
				'brand' => 'text_comparison',
				'description' => 'text_comparison',
				'quantity' => 'numeric_comparison',
				'unit' => 'text_comparison',
				'unit_price' => 'numeric_comparison',
				'total' => 'numeric_comparison',	
			),
			'search_options_form_type' => 'GET',
		),
		'table-data' => $item_report_data,
		'paginator' => $this->Paginator
	));
	
?>\