<?php
echo $this->DaiComponent->inspinia_get_page_container_start('View Project');
	// debug($project);
	// exit();
	echo '<div class="col-md-6" id ="left_panel">';
	echo $this->DaiComponent->inspinia_get_left_label_form_view_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				array('Agency', $project['Agency']['name'], 12),
				array('Project Name', $project['Project']['name'], 12),
				array('ABC', $project['Project']['abc_amount_currency'], 12), 
				array('DAI Amount Offered', $project['Project']['dai_amount_offered_currency'], 12), 
				// array('Date Downloaded', $project['Project']['date_downloaded'], 12), 
				// array('Deadline of Submission', $project['Project']['deadline_of_submission'], 12), 
				// array('Delivery Period (in calendar days)', $project['Project']['delivery_period'], 12), 
				array('Requirements', $project['Project']['requirements'], 12), 
				// array('Pre Bidding Date', $project['Project']['pre_bidding_date'], 12), 
				// array('Target Delivery Date', $project['Project']['target_delivery_date'], 12), 
				// array('Delivered On', $project['Project']['delivered_on'], 12), 
				array('Status', $project['ProjectStatus']['name'], 12), 
				array('Name of Company Won', $project['Project']['name_of_company_won'], 12), 
				array('Winning Proposal Amount', $project['Project']['winning_proposal_amount_currency'], 12), 
				array('Remarks', $project['Project']['remarks'], 12), 
			)
		)
	));
	echo '</div>';
	
	echo '<div class="col-md-6" id="right_panel">';
	echo $this->DaiComponent->inspinia_get_left_label_form_view_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				// array('Agency', $project['Agency']['name'], 12),
				// array('Project Name', $project['Project']['name'], 12),
				// array('ABC', convert_to_currency($project['Project']['abc_amount'], 12)), 
				// array('DAI Amount Offered', convert_to_currency($project['Project']['dai_amount_offered'], 12)), 
				array('Date Downloaded', $project['Project']['date_downloaded'], 12), 
				array('Deadline of Submission', $project['Project']['deadline_of_submission'], 12), 
				array('Delivery Period (in calendar days)', $project['Project']['delivery_period'], 12), 
				// array('Requirements', $project['Project']['requirements'], 12), 
				array('Pre Bidding Date', $project['Project']['pre_bidding_date'], 12), 
				array('Target Delivery Date', $project['Project']['target_delivery_date'], 12), 
				array('Delivered On', $project['Project']['delivered_on'], 12), 
				// array('Status', $project['ProjectStatus']['name'], 12), 
				// array('Won By', $project['Project']['won_by'], 12), 
				// array('Winning Proposal Amount', convert_to_currency($project['Project']['winning_proposal_amount'], 12)), 
				// array('Remarks', $project['Project']['remarks'], 12), 
			)
		)
	));
	echo '</div>';
	
	$this->BootstrapComponent->inspinia_create_page_container_start('Propose');		
	
	$this->BootstrapComponent->inspinia_create_table_headings(array(
		'id' => 'project_proposal',
		'class' => 'table-bordered table-hover',
		'column-headers' => array(
			'Brand' => array('300px'),
			'Description' => array('200px'),
			'Quantity' => array('100px', 'right'),
			'Unit' => array('150px'),
			'Unit Price' => array('100px', 'right'),
			'Total' => array('100px', 'right'),
		)
	));
	
	foreach($project['Proposal'] as $proposal_list) {	
		echo '<tr>';
		echo '<td>' . $proposal_list['Item']['brand'] . '</td>';
		echo '<td>' . $proposal_list['Item']['description'] . '</td>';
		echo '<td>' . $proposal_list['quantity'] . '</td>';
		echo '<td>' . $proposal_list['Item']['unit_of_measurement'] . '</td>';
		echo '<td>' . convert_to_currency($proposal_list['unit_price']) . '</td>';
		echo '<td>' . convert_to_currency($proposal_list['total']) . '</td>';
		echo '</tr>';
	}
	
	$this->BootstrapComponent->inspinia_create_table_end();
	
	$this->BootstrapComponent->inspinia_create_page_container_start('Attachment');		
	
	$this->BootstrapComponent->inspinia_create_table_headings(array(
		'id' => 'project_attachment',
		'class' => 'table-bordered table-hover',
		'column-headers' => array(
			'Attachment' => array('100px'),
			'File Name' => array('150px'),
			'Date Uploaded' => array('50px'),
		)
	));
	
	foreach($project['Attachment'] as $attachment_list) {	
		// debug($attachment_list);
		echo '<tr>';
		echo '<td>' . $attachment_list['attachment'] . '</td>';
		echo '<td>' . $attachment_list['file_name'] . '</td>';
		echo '<td>' . $attachment_list['date_uploaded'] . '</td>';
		echo '</tr>';
	}
	// exit();
	$this->BootstrapComponent->inspinia_create_table_end();
	
	echo $this->element('form.projects.button_line', array(
		'id' => $project['Project']['id'],
		'status' => $project['Project']['status'],
		'lock_flag' => $project['Project']['lock_flag'],
		'edit_button' => $this->DaiComponent->inspinia_get_secured_link_button('Edit', array('controller' => 'projects', 'action' => 'edit_project', $project['Project']['id'], 'prefix' => 'bidding', 'bidding' => true), array('template' => 'info')),
		'disable_button' => $this->DaiComponent->inspinia_get_secured_link_button('Disable', array('controller' => 'projects', 'action' => 'disable_project', $project['Project']['id'], 'prefix' => 'bidding', 'bidding' => true), array('template' => 'danger', 'confirm'=>'Do you want to disable this record?', 'title' => 'Disable')),
		'enable_button' => $this->DaiComponent->inspinia_get_secured_link_button('Enable', array('controller' => 'projects', 'action' => 'enable_project', $project['Project']['id'], 'prefix' => 'bidding', 'bidding' => true), array('template' => 'success', 'confirm'=>'Do you want to enable this record?', 'title' => 'Enable')),
		'back_button_to_project_list' => $this->DaiComponent->inspinia_get_secured_link_button('Back To Project List', array('controller' => 'projects', 'action' => 'index', 'prefix' => 'bidding', 'bidding' => true), array('template' => 'warning')),
		'back_button_to_selected_agency' => $this->DaiComponent->inspinia_get_secured_link_button('Back To Selected Agency', array('controller' => 'agencies', 'action' => 'view_agency', $project['Agency']['id'], 'prefix' => 'bidding', 'bidding' => true), array('template' => 'warning')),
		'back_button_to_agency_list' => $this->DaiComponent->inspinia_get_secured_link_button('Back To Agency List', array('controller' => 'agencies', 'action' => 'index', 'prefix' => 'bidding', 'bidding' => true), array('template' => 'warning')),
	));
echo $this->DaiComponent->inspinia_get_page_container_end();
?>

<?php
	echo $this->DaiComponent->inspinia_get_view_all_page(array(
		'id' => 'project_history_log',
		'title' => 'View Project History',
		'class' => 'table-bordered table-hover', 
		'table-settings' => array(
			'model' => 'ProjectHistory',
			'controller' => 'projects',
			'prefix' => 'bidding',
			'action' => 'project_history_log/'. $project['Project']['id'],
			'column-headers' => array( 
			),
			'include' => array(
				'add',
				'search',
				'export_excel',
			), 
			'search_options' => array(
				'date' => 'date_range', 
				'description' => 'text_comparison', 
				'posted_by' => $user_list,
			),
			'search_options_form_type' => 'GET',
		),
		'table-data' => array(), 
	));
	
	 
	// foreach($project_history_logs as $project_history_log_value) {  
	// 	// debug($project_history_log_value);
	// 	echo '
	// 		<div class="log-time-ago-container col-md-1">
	// 			' . $this->Time->timeAgoInWords($project_history_log_value['ProjectHistory.date_and_time']) . '
	// 		</div>
	// 		<div class="log-container col-md-11">
	// 			<div class="log-label-container"><span class="log-label">' . $project_history_log_value['0.standard_name'] .'</span> <span class="label label-success">' . $this->Time->format($project_history_log_value['ProjectHistory.date_and_time'], '%B %d, %Y at %I:%M %p') . '</span></div>
	// 			<div class="log-details">' . ' ' .nl2br($project_history_log_value['ProjectHistory.description']) . '</div>
	// 		</div>
	// 	';
	// } 

	foreach($project_history_logs as $project_history_log_value) {  
		// debug($project_history_log_value);
		echo '
			<div class="log-time-ago-container col-md-1">
				' . $this->Time->timeAgoInWords($project_history_log_value['ProjectHistory.date_and_time']) . '
			</div>
			<div class="log-container col-md-11">
				<div class="log-label-container"><span class="log-label">' . $project_history_log_value['0.standard_name'] .'</span> <span class="label label-success">' . $this->Time->format($project_history_log_value['ProjectHistory.date_and_time'], '%B %d, %Y at %I:%M %p') . '</span></div>
				<div class="log-details">' . ' ' .nl2br($project_history_log_value['ProjectHistory.description']) . '</div>
				<div class="log-details">' . ' ' .$project_history_log_value['ProjectHistory.item_history_description'] . '</div>
			</div>
		';
	} 
	// exit();

	$this->BootstrapPaginator->create_bootstrap_pages($this->Paginator);
?>

<div id="btn_close_ticket" class="modal" role="dialog">
	<div class="modal-dialog" style="min-width: 1000px;">

		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Preview</h4>
			</div>
			<div class="modal-body" id="modal-preview-body">
				
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
			</div>
		</div>

	</div>
</div>

<div class="modal fade" id="log_modal" tabindex="-1" role="dialog" aria-labelledby="log_modal_label">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="log_modal_label">Add Project History</h4>
      </div>
      <div class="modal-body">
		<?php	
			echo $this->Form->create('ProjectHistory');

			$this->BootstrapComponent->create_form_input_batch(array(
				array(
					'size' => 12,
					'contents' => array(
						array('description', 12, array('type' => 'textarea'))
					)
				)
			));
			
			
		?>
      </div>
      <div class="modal-footer">
        <?php
			
			$this->BootstrapComponent->create_submit_button('Save', 'fa-asfs');
			echo $this->Form->end();
		?>
		<a class="btn btn-form btn-danger"  data-dismiss="modal"><span class="button-text-with-icon">Cancel</span></a>
      </div>
    </div>
  </div>
</div>

<script>
$('#add_btn').click(function(e){
	e.preventDefault(); 
	$('#log_modal').modal('toggle');  
});
</script>
	 